<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

function shop_import_customers($customers_array, $field_order) {
	$new = 0;
	$updated = 0;
	for ($i=0, $n=sizeof($customers_array); $i<$n; $i++) {
	    $customers_data_array = explode(TAB,$customers_array[$i]);
	    if ($customers_data_array[0] == 'customers_code' || strlen($customers_array[$i]) < 2) continue;
	    $customers_code = $customers_data_array[$field_order['customers_code']];
	    $customers_email = $customers_data_array[$field_order['customers_email']];
	    $customers_email_address_flag = $customers_data_array[$field_order['customers_email_address_flag']];
	    $customers_password = $customers_data_array[$field_order['customers_password']];
	    $entry_firstname = $customers_data_array[$field_order['entry_firstname']];
	    $entry_lastname = $customers_data_array[$field_order['entry_lastname']];
	    $entry_phone = $customers_data_array[$field_order['entry_phone']];
	    $entry_fax = $customers_data_array[$field_order['entry_fax']];
	    $customers_resale_number = $customers_data_array[$field_order['customers_resale_number']];
	    $home_category = $customers_data_array[$field_order['home_category']];
	    $affiliate = $customers_data_array[$field_order['affiliate']];
	    
	    $customers_sql_data_array = array('customers_firstname' => $entry_firstname,
	                                      'customers_lastname' => $entry_lastname,
	                                      'customers_password' => $customers_password,
	                                      'customers_email_address_flag' => $customers_email_address_flag,
	                                      'customers_email_address' => $customers_email,
	                                      'customers_telephone' => $telephone,
	                                      'customers_fax' => $fax,
	                                      'customers_default_address_id' => 1,
	                                      'customers_resale_number' => $customers_resale_number,
	                                      'home_category' => $home_category,
	                                      'affiliate' => $affiliate);
	    
	    $billing_company = $customers_data_array[$field_order['billing_company']];
	    $billing_firstname = $customers_data_array[$field_order['billing_firstname']];
	    $billing_lastname = $customers_data_array[$field_order['billing_lastname']];
	    $billing_street_address = $customers_data_array[$field_order['billing_street_address']];
	    $billing_street_address_2 = $customers_data_array[$field_order['billing_street_address_2']];
	    $billing_postcode = $customers_data_array[$field_order['billing_postcode']];
	    $billing_city = $customers_data_array[$field_order['billing_city']];
	    $billing_country = $customers_data_array[$field_order['billing_country']];
	    $billing_zone = $customers_data_array[$field_order['billing_zone']];
	    
	    $billing_country_id_array = shop_db_fetch_array(shop_db_query("select countries_id from " . DB_PREFIX . "countries where countries_name = '$billing_country'"));
	    $billing_country_id = $billing_country_id_array['countries_id'];
	    $billing_zone_id_array = shop_db_fetch_array(shop_db_query("select zone_id from " . DB_PREFIX . "zones where zone_country_id = '$country_id' and zone_code = '$billing_zone'"));
	    $billing_zone_id = $billing_zone_id_array['zone_id'];

	    $billing_sql_data_array = array('entry_company' => $billing_company,
	                                    'entry_firstname' => $billing_firstname,
	                                    'entry_lastname' => $billing_lastname,
	                                    'entry_street_address' => $billing_street_address,
	                                    'entry_street_address_2' => $billing_street_address_2,
	                                    'entry_postcode' => $billing_postcode,
	                                    'entry_city' => $billing_city,
	                                    'entry_country_id' => $billing_country_id);
	    if (!($billing_zone_id)) {
	        $billing_sql_data_array['entry_state'] = $billing_zone;
	        $billing_sql_data_array['entry_zone_id'] = '';
	    } else {
	        $billing_sql_data_array['entry_zone_id'] = $billing_zone_id;
	        $billing_sql_data_array['entry_state'] = '';
	    }
	    
	    $shipping_company = $customers_data_array[$field_order['shipping_company']];
	    $shipping_firstname = $customers_data_array[$field_order['shipping_firstname']];
	    $shipping_lastname = $customers_data_array[$field_order['shipping_lastname']];
	    $shipping_street_address = $customers_data_array[$field_order['shipping_street_address']];
	    $shipping_street_address_2 = $customers_data_array[$field_order['shipping_street_address_2']];
	    $shipping_postcode = $customers_data_array[$field_order['shipping_postcode']];
	    $shipping_city = $customers_data_array[$field_order['shipping_city']];
	    $shipping_country = $customers_data_array[$field_order['shipping_country']];
	    $shipping_zone = $customers_data_array[$field_order['shipping_zone']];
	    
	    $shipping_country_id_array = shop_db_fetch_array(shop_db_query("select countries_id from " . DB_PREFIX . "countries where countries_name = '$shipping_country'"));
	    $shipping_country_id = $shipping_country_id_array['countries_id'];
	    $shipping_zone_id_array = shop_db_fetch_array(shop_db_query("select zone_id from " . DB_PREFIX . "zones where zone_country_id = '$country_id' and zone_code = '$shipping_zone'"));
	    $shipping_zone_id = $shipping_zone_id_array['zone_id'];

	    $shipping_sql_data_array = array('entry_company' => $shipping_company,
	                                    'entry_firstname' => $shipping_firstname,
	                                    'entry_lastname' => $shipping_lastname,
	                                    'entry_street_address' => $shipping_street_address,
	                                    'entry_street_address_2' => $shipping_street_address_2,
	                                    'entry_postcode' => $shipping_postcode,
	                                    'entry_city' => $shipping_city,
	                                    'entry_country_id' => $shipping_country_id);
	    if (!($shipping_zone_id)) {
	        $shipping_sql_data_array['entry_state'] = $shipping_zone;
	        $shipping_sql_data_array['entry_zone_id'] = '';
	    } else {
	        $shipping_sql_data_array['entry_zone_id'] = $shipping_zone_id;
	        $shipping_sql_data_array['entry_state'] = '';
	    }
	            
	    $check_value = shop_db_fetch_array(shop_db_query("select count(*) as count from " . DB_PREFIX . "customers where customers_email_address = '$customers_email'"));
	    if ($check_value['count'] == 1) {
	        $updated++;
	        shop_db_perform('customers', $customers_sql_data_array, 'update', "customers_email_address = '$customers_email'");
	        $customer_id = shop_db_fetch_array(shop_db_query("select customers_id from " . DB_PREFIX . "customers where customers_email_address = '$customers_email'"));
	        shop_db_perform('address_book', $billing_sql_data_array, 'update', "customers_id = '" . $customers_id['customers_id'] . "' and address_book_id = 1");
	        shop_db_perform('address_book', $shipping_sql_data_array, 'update', "customers_id = '" . $customers_id['customers_id'] . "' and address_book_id = 2");
	   } else {
	        $new++;
	        $customer_id = shop_db_perform('customers', $customers_sql_data_array);
	        $billing_sql_data_array['customers_id'] = $customer_id;
	        $shipping_sql_data_array['customers_id'] = $customer_id;
	        $billing_sql_data_array['address_book_id'] = 1;
	        $shipping_sql_data_array['address_book_id'] = 2;
	        shop_db_perform('address_book', $billing_sql_data_array);
	        shop_db_perform('address_book', $shipping_sql_data_array);
	        shop_db_query("insert into " . DB_PREFIX . "customers_info (customers_info_id, customers_info_number_of_logons, customers_info_date_account_created) values ('$customer_id', '0', now())");
	   }
	}
	$stats['new'] = $new;
	$stats['updated'] = $updated;
	return $stats;
}

function shop_import_attributes($attributes_array, $field_order, $disable_attributes = false) {
	global $languages_id;
	if ($disable_attributes == true) {
	    shop_db_query("delete from " . DB_PREFIX . "products_attributes");
	}
	$new = 0;
	$updated = 0;
	for ($i=0, $n=sizeof($attributes_array); $i<$n; $i++) {
	    $attributes_data_array = explode(TAB, $attributes_array[$i]);
	    if ($attributes_data_array[0] == 'product_options_id' || strlen($attributes_array[$i]) < 2) continue;
	    $options_model = $attributes_data_array[$field_order['options_model']];
	    $products_model = $attributes_data_array[$field_order['products_model']];
	    $option_name = $attributes_data_array[$field_order['option_name']];
	    $option_value = $attributes_data_array[$field_order['option_value_name']];
	    $value_price = $attributes_data_array[$field_order['value_price']];
	    $prefix = $attributes_data_array[$field_order['prefix']];
	    $image = $attributes_data_array[$field_order['attribute_image']];
	    $is_default = $attributes_data_array[$field_order['is_default']];
	    $locx = $attributes_data_array[$field_order['locx']];
	    $locy = $attributes_data_array[$field_order['locy']];
	    $size = $attributes_data_array[$field_order['size']];
	        
	    $products_query = shop_db_query("select products_id from " . DB_PREFIX . "products where products_model = '$products_model' limit 1");
	    $product = shop_db_fetch_array($products_query);
	    $products_id = $product['products_id'];
	        
	    $options_name_query = shop_db_query("select products_options_id from " . DB_PREFIX . "products_options where products_options_name = '$option_name'");
	    $options_name_id = shop_db_fetch_array($options_name_query);
	    $options_values_name_query = shop_db_query("select products_options_values_id from " . DB_PREFIX . "products_options_values where products_options_values_name = '$option_value'");
	    $options_values_id = shop_db_fetch_array($options_values_name_query);
	        
	    $attributes_sql_data_array = array('products_id' => $products_id,
	                                       'options_id' => $options_name_id['products_options_id'],
	                                       'options_values_id' => $options_values_id['products_options_values_id'],
	                                       'options_values_price' => $value_price,
	                                       'price_prefix' => $prefix,
	                                       'attribute_image' => $image,
	                                       'is_default' => $is_default,
	                                       'options_model' => $options_model,
	                                       'locx' => $locx,
	                                       'locy' => $locy,
	                                       'size' => $size);
	    
	    $check_query = shop_db_query("select count(*) as count from " . DB_PREFIX . "products_attributes where options_model = '$options_model'");
	    $check_value = shop_db_fetch_array($check_query);
	    if ($check_value['count'] > 0) {
	        $updated++;
	        shop_db_perform('products_attributes', $attributes_sql_data_array, 'update', "options_model = '$options_model'");
	    } else {
	        $new++;
	        shop_db_perform('products_attributes', $attributes_sql_data_array);
	    }
	}
	$stats['new'] = $new;
	$stats['updated'] = $updated;
	return $stats;
}

function shop_import_customer_options($customer_options_array, $field_order, $disable_customer_options = false) {
	global $languages_id;
	if ($disable_customer_options == true) {
	    shop_db_query("delete from " . DB_PREFIX . "customer_options");
	}
	$new = 0;
	$updated = 0;
	for ($i=0, $n=sizeof($customer_options_array); $i<$n; $i++) {
	    $customer_options_data_array = explode(TAB, $customer_options_array[$i]);
	    if ($customer_options_data_array[0] == 'customer_options_id' || strlen($customer_options_array[$i]) < 2) continue;
	    $customer_options_id  = $customer_options_data_array[$field_order['customer_options_id']];
	    $products_name = $customer_options_data_array[$field_order['products_name']];
	    $customer_options_name = $customer_options_data_array[$field_order['customer_options_name']];
	    $customer_options_type = $customer_options_data_array[$field_order['customer_options_type']];
	    $locx = $customer_options_data_array[$field_order['locx']];
	    $locy = $customer_options_data_array[$field_order['locy']];
	        
	    $products_query = shop_db_query("select products_id from " . DB_PREFIX . "products_description where language_id = '$languages_id' and products_name = '$products_name' limit 1");
	    $product = shop_db_fetch_array($products_query);
	    $products_id = $product['products_id'];
	        
	    $options_name_query = shop_db_query("select customer_options_options_id from " . DB_PREFIX . "customer_options_options where customer_options_options_name = '$customer_options_name'");
	    $options_name_id = shop_db_fetch_array($options_name_query);
	    $options_sql_data_array = array('products_id' => $products_id,
	                                    'customer_options_options_id' => $options_name_id['customer_options_options_id'],
	                                    'options_type' => $customer_options_type,
	                                    'locx' => $locx,
	                                    'locy' => $locy);
	        
	    $check = shop_db_fetch_array(shop_db_query("select count(*) as count from " . DB_PREFIX . "customer_options where customer_options_id = '$customer_options_id'"));
	    if ($check['count'] > 0) {
	        $updated++;
	        echo $customer_options_id;
	        shop_db_perform('customer_options', $options_sql_data_array, 'update', "customer_options_id = '$customer_options_id'");
	    } else {
	        $new++;
	        $next_id = shop_db_fetch_array(shop_db_query("select max(customer_options_id) as next_id from " . DB_PREFIX . "customer_options"));
	        $options_sql_data_array['customer_options_id'] = ($next_id['next_id']+1);
	        shop_db_perform('customer_options', $options_sql_data_array);
	    }
	}
	$stats['new'] = $new;
	$stats['updated'] = $updated;
	return $stats;
}

function shop_import_product_options_values($options_array, $field_order, $disable_product_options = false) {
	global $languages_id;
	if ($disable_product_options == true) {
	    shop_db_query("delete from " . DB_PREFIX . "products_options_values");
	}
	$new = 0;
	$updated = 0;
	for ($i=0, $n=sizeof($options_array); $i<$n; $i++) {
	    $options_data_array = explode(TAB, $options_array[$i]);
	    if ($options_data_array[0] == 'language_name' || strlen($options_array[$i]) < 2) continue;
	    $language_name  = $options_data_array[$field_order['language_name']];
	    $options_values_code = $options_data_array[$field_order['options_values_code']];
	    $products_options_values_name = $options_data_array[$field_order['products_options_values_name']];
	    $products_options_name = $options_data_array[$field_order['products_options_name']];
	    
	    $options_name_query = shop_db_query("select products_options_id from " . DB_PREFIX . "products_options where products_options_name = '$products_options_name'");
	    $options_name_id = shop_db_fetch_array($options_name_query);
	    $languages_query = shop_db_query("select languages_id from " . DB_PREFIX . "languages where name = '$language_name' order by languages_id");
	    $language_id_num = shop_db_fetch_array($languages_query);
	    $options_language_id = $language_id_num['languages_id'];
	    
	    $options_sql_data_array = array('products_options_values_name' => $products_options_values_name,
	                                    'language_id' => $options_language_id);
	    
	    $check1 = shop_db_fetch_array(shop_db_query("select products_options_values_id from " . DB_PREFIX . "products_options_values where products_options_values_name = '$products_options_values_name'"));
	    $check2 = shop_db_fetch_array(shop_db_query("select count(*) as count from " . DB_PREFIX . "products_options_values where products_options_values_id = '" . $check1['products_options_values_id'] . "' and language_id = '$options_language_id'"));
	    if ($check1 && $check2['count'] > 0) {
	        $updated++;
	        shop_db_perform('products_options_values', $options_sql_data_array, 'update', "products_options_values_id = '" . $check1['products_options_values_id'] . "' and language_id = '$options_language_id'");
	    } elseif($check1) {
	        $new++;
	        shop_db_perform('products_options_values', array_merge(array('products_options_values_id' => $check1['products_options_values_id']), $options_sql_data_array), 'insert');
	    } else {
	        $new++;
	        $next_id = shop_db_fetch_array(shop_db_query("select max(products_options_values_id) as next_id from " . DB_PREFIX . "products_options_values"));
	        shop_db_perform('products_options_values', array_merge(array('products_options_values_id' => $next_id['next_id']+1, 'products_options_id' => $options_name_id['products_options_id']), $options_sql_data_array), 'insert');
	    }
	}
	$stats['new'] = $new;
	$stats['updated'] = $updated;
	return $stats;
}

function shop_import_preferences($configuration_array, $field_order) {
	$updated = 0;
	for ($i=0, $n=sizeof($configuration_array); $i<$n; $i++) {
	    $configuration_data_array = explode(TAB, $configuration_array[$i]);
	    if ($configuration_data_array[0] == 'configuration_key' || strlen($configuration_array[$i]) < 2) continue;
	    $configuration_key  = $configuration_data_array[$field_order['configuration_key']];
	    $configuration_value = $configuration_data_array[$field_order['configuration_value']];
	    
	    $configuration_sql_data_array = array('configuration_value' => $configuration_value);
	    
	    $updated++;
	    shop_db_perform('configuration', $configuration_sql_data_array, 'update', "configuration_key = '$configuration_key'");
	}
	$stats['new'] = 0;
	$stats['updated'] = $updated;
	return $stats;
}

function shop_import_products($products_array, $field_order, $disable_products) {
	global $languages_id;
	if ($disable_products == true) $products_query = shop_db_query("update " . DB_PREFIX . "products set products_status = '1'");
	
	$languages_query = shop_db_query("select languages_id, name from " . DB_PREFIX . "languages");
	$languages = array();
	while ($language = shop_db_fetch_array($languages_query)) $languages[$language['name']] = $language['languages_id'];
	
	$manufacturer_query = shop_db_query("select manufacturers_id, manufacturers_name from " . DB_PREFIX . "manufacturers");
	$manufacturers = array();
	while ($manufacturer = shop_db_fetch_array($manufacturer_query)) $manufacturers[$manufacturer['manufacturers_name']] = $manufacturer['manufacturers_id'];
	
	$categories_query = shop_db_query("select categories_id, categories_code from " . DB_PREFIX . "categories");
	$categories = array();
	while ($category = shop_db_fetch_array($categories_query)) $categories[$category['categories_code']] = $category['categories_id'];
	
	$tax_classes_query = shop_db_query("select tax_class_id, tax_class_title from " . DB_PREFIX . "tax_class");
	$tax_classes = array();
	while ($tax_class = shop_db_fetch_array($tax_classes_query)) $tax_classes[$tax_class['tax_class_title']] = $tax_class['categories_id'];

	$new = 0;
	$updated = 0;
	for ($i=0, $n=sizeof($products_array); $i<$n; $i++) {
	
	    $products_data_array = explode(TAB, $products_array[$i]);
	    if ($products_data_array[0] == 'products_model' || strlen($products_array[$i]) < 2) continue;
	    $products_model = $products_data_array[$field_order['products_model']];
	    $products_language_name = $products_data_array[$field_order['language_name']];
	    $products_name = $products_data_array[$field_order['products_name']];
	    $products_description = $products_data_array[$field_order['products_description']];
	    $products_url = $products_data_array[$field_order['products_url']];
	    $products_quantity = $products_data_array[$field_order['products_quantity']];
	    $products_image = $products_data_array[$field_order['products_image']];
	    $products_thumb = $products_data_array[$field_order['products_thumb']];
	    $products_price = $products_data_array[$field_order['products_price']];
	    $products_cost = $products_data_array[$field_order['products_cost']];
	    $products_weight = $products_data_array[$field_order['products_weight']];
	    $products_sku = $products_data_array[$field_order['products_sku']];
	    $categories_code = $products_data_array[$field_order['categories_code']];
	    $products_manufacturer_name = $products_data_array[$field_order['manufacturer']];
	    $products_tax_class_name = $products_data_array[$field_order['tax_class']];

	    if ($languages[$products_language_name]) {
	    	$products_language_id = $languages[$products_language_name];
	    } else {
	    	continue;
	    }
	        

	    if ($categories[$categories_code]) {
	    	$category_id = $categories[$categories_code];
	    } elseif ($categories_code == 0) {
	        $category_id = 0;
	    } else {
	    	continue;
	    }

	    if ($manufacturers[$products_manufacturer_name]) $products_manufacturer_id = $manufacturers[$products_manufacturer_name];
	    if ($tax_classes[$products_tax_class_name]) $products_tax_class_id = $tax_classes[$products_tax_class_name];

	    $products_sql_data_array = array('products_quantity' => $products_quantity,
	                                     'products_model' => $products_model,
	                                     'products_image' => $products_image,
	                                     'products_thumb' => $products_thumb,
	                                     'products_price' => $products_price,
	                                     'products_cost' => $products_cost,
	                                     'products_weight' => $products_weight,
	                                     'products_sku' => $products_sku,
	                                     'products_status' => '1',
	                                     'manufacturers_id' => $products_manufacturer_id,
	                                     'products_tax_class_id' => $products_tax_class_id);

	    $check_query = shop_db_query("select count(*) as count from " . DB_PREFIX . "products where products_model = '$products_model'");
	    $check_value = shop_db_fetch_array($check_query);

	    if ($check_value['count'] > 0) {
	        $products_id = $check_value['products_id'];
	        shop_db_perform('products', $products_sql_data_array, 'update', "products_id = '$products_id'");
	        
	        $check_query2 = shop_db_query("select count(*) as count from " . DB_PREFIX . "products_description where products_id = '$products_id' and language_id = '$products_language_id'");
	        $check_value2 = shop_db_fetch_array($check_query2);
	        
	        shop_db_perform('products_to_categories', array('categories_id' => $category_id), 'update', "products_id = '$products_id'");
	        if ($check_value2['count'] > 0) {
	          $updated++;
	          shop_db_perform('products_description', array('products_name' => $products_name, 'products_description' => $products_description, 'products_url' => $products_url, 'products_id' => $products_id), 'update', "products_id = '$products_id' and language_id = '$products_language_id'");
	        } else {
	          $new++;
	          shop_db_perform('products_description', array('products_name' => $products_name, 'products_description' => $products_description, 'products_url' => $products_url, 'language_id' => $products_language_id, 'products_id' => $products_id));
	        }
	    } else {
	        $new++;
	        $products_id = shop_db_perform('products', $products_sql_data_array);
	        $max_sort_order = shop_db_fetch_array(shop_db_query("select max(sort_order) as max from " . DB_PREFIX . "products_to_categories where categories_id = '$category_id'"));
	        shop_db_perform('products_to_categories', array('categories_id' => $category_id, 'products_id' => $products_id, 'sort_order' => ($max_sort_order['max']+1)));
	        shop_db_perform('products_description', array('products_name' => $products_name, 'products_description' => $products_description, 'products_url' => $products_url, 'language_id' => $products_language_id, 'products_id' => $products_id));
	    }
	}
	$stats['new'] = $new;
	$stats['updated'] = $updated;
	return $stats;
}

function shop_import_categories($categories_array, $field_order, $disable_categories) {
	global $languages_id;
	if ($disable_categories == true) {
	    $categories_query = shop_db_query("select categories_id from " . DB_PREFIX . "categories where categories_status = '1'");
	    while ($categories_values = shop_db_fetch_array($categories_query)) {
	      shop_set_category_status($categories_values['categories_id'], '0');
	    }
	}
	$new = 0;
	$updated = 0;
	for ($i=0, $n=sizeof($categories_array); $i<$n; $i++) {
	    $categories_data_array = explode(TAB, $categories_array[$i]);
	    if ($categories_data_array[0] == 'categories_code' || strlen($categories_array[$i]) < 2) continue;
	    $categories_code = $categories_data_array[$field_order['categories_code']];
	    $categories_language_name = $categories_data_array[$field_order['language_name']];
	    $categories_name = $categories_data_array[$field_order['categories_name']];
	    $categories_image = $categories_data_array[$field_order['categories_image']];
	    $parent_category = $categories_data_array[$field_order['parent_category_code']];
	    $categories_sort_order = $categories_data_array[$field_order['sort_order']];
	    
	    $languages_query = shop_db_query("select languages_id from " . DB_PREFIX . "languages where name = '$categories_language_name' order by languages_id");
	    $language_id_num = shop_db_fetch_array($languages_query);
	    $categories_language_id = $language_id_num['languages_id'];
	    
	    if (!$parent_category || $parent_category == '0') {
	        $parent_id = 0;
	    } else {
	        $parent_query = shop_db_query("select categories_id from " . DB_PREFIX . "categories where categories_code = '$parent_category'");
	        $parent = shop_db_fetch_array($parent_query);
	        $parent_id = $parent['categories_id'];
	        if (!$parent_id) continue;
	    }

	    $categories_sql_data_array = array('categories_image' => $categories_image,
	                                       'parent_id' => $parent_id,
	                                       'sort_order' => $categories_sort_order,
	                                       'categories_code' => $categories_code);
	    
	    $check_query = shop_db_query("select count(*) as count from " . DB_PREFIX . "categories where categories_code = '$categories_code'");
	    $check_value = shop_db_fetch_array($check_query);
	    
	    if ($check_value['count'] > 0) {
	        $categories_id = $check_value['categories_id'];
	        shop_db_perform('categories', $categories_sql_data_array, 'update', "categories_id = '$categories_id'");
	            
	        $check_query2 = shop_db_query("select count(*) as count from " . DB_PREFIX . "categories_description where categories_id = '$categories_id' and language_id = '$categories_language_id'");
	        $check_value2 = shop_db_fetch_array($check_query2);
	        
	        if ($check_value2['count'] > 0) {
	            $updated++;
	            shop_db_perform('categories_description', array('categories_name' => $categories_name, 'categories_id' => $categories_id), 'update', "categories_id = '$categories_id' and language_id = '$categories_language_id'");
	        } else {
	            $new++;
	            shop_db_perform('categories_description', array('categories_name' => $categories_name, 'language_id' => $categories_language_id, 'categories_id' => $categories_id));
	        }
	    } else {
	        $new++;
	        $categories_id = shop_db_perform('categories', $categories_sql_data_array);
	        shop_db_perform('categories_description', array('categories_name' => $categories_name, 'language_id' => $categories_language_id, 'categories_id' => $categories_id));
	    }
	    shop_set_category_status($categories_id, '1');
	}
	$stats['new'] = $new;
	$stats['updated'] = $updated;
	return $stats;
}