<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

define('HEADING_TITLE', 'Top Products');
define('TABLE_HEADING_PRODUCTS', 'Products');
define('TABLE_HEADING_VIEWED', 'Viewed');
define('GRAPHTYPE', 'piegraph');

$products_query_raw = "select op.products_id, op.products_name, sum(op.products_quantity * (op.final_price)) as ordersum, sum(op.products_quantity * op.products_cost) as cost from " . DB_PREFIX . "orders o, " . DB_PREFIX . "orders_products op where o.orders_status != 5 and o.orders_id = op.orders_id group by op.products_id order by ordersum DESC limit " . CFG_ADMIN_ITEMS_PAGE;
$products_query = shop_db_query($products_query_raw);
$currencies = new currencies();

$stats = '              <tr>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif"></td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" onmouseover="this.style.cursor=\'pointer\';"> &nbsp;' . TABLE_HEADING_PRODUCTS . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_VIEWED . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_col_selected.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_PURCHASED . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_COST . '</td>';
$stats .= '              </tr>';
$slice_number = 0;
$colornumber = 0;
$total_viewed = 0;
$total_ordered = 0;
$total_cost = 0;
$data = '';
$prod_stat = array();
$javascript_preload = '';
while ($products = shop_db_fetch_array($products_query)) {
  $ordered = $products['ordersum'];
  if ($ordered < 1) $ordered = 0;

  $viewed_query_raw = "select sum(products_viewed) as products_viewed from " . DB_PREFIX . "products_description where products_id = '" . $products['products_id'] . "' group by products_id";
  $viewed_query = shop_db_query($viewed_query_raw);
  $viewed = shop_db_fetch_array($viewed_query);
  if ($viewed['products_viewed'] < 1) continue;
  
  if ($colornumber > sizeof($colors)-1) $colornumber = 0;
  $focus = '\'jpgraphimagefocus=' . $slice_number . '\'';
  $onclick = 'onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'jpgraphimagefocus=' . $slice_number . '\'"';
  $stats .= '              <tr class="dataTableRow" height="17" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '">';
  $stats .= '                <td class="dataTableContent"' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="right" valign="center">statx' . $products['products_id'] . 'x&nbsp;</td>';
  $stats .= '                <td class="dataTableContent" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="left" valign="center"> &nbsp;' . $products['products_name'] . '</td>';
  $stats .= '                <td class="dataTableContent" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="center" valign="center">' . $viewed['products_viewed'] . '&nbsp;</td>';
  $stats .= '                <td class="dataTableContent" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="center" valign="center">' . $currencies->format($ordered) . '&nbsp;</td>';
  $stats .= '                <td class="dataTableContent" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="center" valign="center">' . $currencies->format($products['cost']) . '&nbsp;</td>';
  $stats .= '              </tr>';
  $javascript_preload .= 'image' . $products['products_id'] . ' = new Image();' . UNIX_RETURN . 'image' . $products['products_id'] . '.src = ' . $focus . ';' . UNIX_RETURN;


  $data .= 'data[' . $slice_number . ']=' . $ordered . '&';
  $prod_stat[$products['products_id']] =  $ordered;
  $slice_number ++;
  $colornumber ++;
  $total_viewed += $viewed['products_viewed'];
  $total_cost += $products['cost'];
  $total_ordered += $ordered;
}
$jpgraphimage = DIR_WS_ADMIN . 'contents/piegraph.php?' . $data;

while (list($key,$value) = each($prod_stat)) {
  $stats = str_replace(('statx' . $key . 'x'), round($value / $total_ordered * 100) . '%', $stats);
}

$focus = '\'jpgraphimage\'';
$javascript_preload .= 'image' . $products['products_id'] . ' = new Image();' . UNIX_RETURN . 'image' . $products['products_id'] . '.src = ' . $focus . ';' . UNIX_RETURN;
$onclick = 'onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'jpgraphimage\'"';
$stats .= '              <tr class="dataTableRow" height="17" ' . $onclick . ' bgcolor="c8c8c8">';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="right" valign="center">100%&nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="left" valign="center"> &nbsp;Total</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="center" valign="center">' . $total_viewed . '&nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="center" valign="center">' . $currencies->format($total_ordered) . '&nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="center" valign="center">' . $currencies->format($total_cost) . '&nbsp;</td>';
$stats .= '              </tr>';
$stats = $stats . UNIX_RETURN . '<script language="javascript"><!--' . UNIX_RETURN . $javascript_preload . UNIX_RETURN . '//--></script>';

$stats = str_replace(array('jpgraphimage','[',']'), array($jpgraphimage,'%5B','%5D'), $stats);
