<?php
/*

  eShox 4 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003-04, Secure.cc, Inc. All rights reserved.

  SOFTWARE LICENSE INFORMATION

  http://www.eshox.com/license.html

  PLEASE READ THE SECURE.CC, INC SINGLE USE SOFTWARE LICENSE AGREEMENT ("LICENSE") 
  CAREFULLY BEFORE INSTALLING OR USING THE SOFTWARE. BY INSTALLING OR USING THE 
  SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THE LICENSE.

*/

function shop_export_xml($portal, $level = 1, $data = '', $where = '', $xml = '') {
	if ($portal['key'] && $data) {
		list($key, $value) = each($portal['key']);
		$where = ' where ' . $key . '="' . $data[$value] . '"';
	}
	if ($portal['keys']) {
		foreach($portal['keys'] as $key => $value) $where .= ' and ' . $key . '=' . $value;
	}
	if ($portal['limit']) $where .= ' limit ' . $portal['limit'];

	$xid=0;
	
	$xml_data_query = shop_db_query('select ' . $portal['id'] . ' as xmlid, ' . implode(', ', $portal['fields']) . ' from ' . DB_PREFIX . $portal['table'] . $where);
	$count = shop_db_num_rows($xml_data_query);
	
	while ($xml_data = shop_db_fetch_array($xml_data_query)) {
		$count = 0;
		$xml_result = '';
		foreach ($xml_data as $xml_key => $value) {
			if (!in_array($xml_key, $portal['exclude']) && $xml_key != 'xmlid' && $value) {
				$count++;
				$xml_result .= str_repeat(TAB, $level+1) . "<$xml_key>" . ((strip_tags(addslashes($value)) != $value) ? "<![CDATA[ $value ]]>" :  $value) . "</$xml_key>" . UNIX_RETURN;
			}
		}
		if ($portal['portals']) {
			foreach ($portal['portals'] as $child_id => $child) {
				if (sizeof($child)) {
					$count++;
					$xml_result .= shop_export_xml($child, (($child['hidden']) ? $level : $level+1), $xml_data);
				}
			}
		}

		if (!$portal['hidden']) $xml .= str_repeat(TAB, $level) . '<' . (($portal['title']) ? $portal['title'] : $portal['table']) . '>' . UNIX_RETURN;
		if ($count) $xml .= $xml_result;
		if (!$portal['hidden']) $xml .= str_repeat(TAB, $level) . '</' . (($portal['title']) ? $portal['title'] : $portal['table']) . '>' . UNIX_RETURN;
		$xid++;
	}
	return $xml;
}

function shop_array_xml($data) {
	$parser = xml_parser_create('UTF-8');
	xml_parser_set_option($parser,XML_OPTION_CASE_FOLDING,0);
	xml_parser_set_option($parser,XML_OPTION_SKIP_WHITE,0);
	xml_parser_set_option($parser,XML_OPTION_TARGET_ENCODING,'UTF-8');
	xml_parse_into_struct($parser,preg_replace("|([\\x00-\\x0F])|", UNIX_RETURN, $data),$values);
	xml_parser_free($parser);
	$keys = array();
	$key_number = array();
	$xml_array = array();
	if (xml_get_error_code($parser)) {
		trigger_error(xml_error_string(xml_get_error_code($parser)), E_ERROR);
		die;
	}
	foreach ($values as $key => $value) {
		switch ($value['type']) {
			case 'open':
				array_push($keys, $value['tag']);
				eval("\$key_number['" . implode($keys, "][") . "'][count]++; \$keynum = \$key_number['" . implode($keys, "][") . "'][count];");
				array_push($keys, $keynum);

				break;
			case 'close':
				eval("\$xml_array[" . implode($keys, "][") . "][table] = '$value[tag]';");
				array_pop($keys);
				array_pop($keys);
			
				break;
			case 'complete':
				array_push($keys, $value['tag']);
				eval ('$xml_array[' . implode($keys, '][') . '] = $value[value];');
				array_pop($keys);
				
				break;
		}
	}
	
	return $xml_array;
}

function shop_import_xml($values, $modifiers, &$parent) {
	$keys = array();
	$vals = array();
	
	if ($modifiers[$values['table']]['table']) $values['table'] = $modifiers[$values['table']]['table'];
		
	foreach ($values as $key => $value) {
		if (!is_array($value)) {
			if ($key == 'table') continue;
			if ($modifiers[$key]['values'][$value]) $value = $modifiers[$key]['values'][$value];
			if ($modifiers[$key]['name']) {
				if ($modifiers[$key]['select']) {
					$value_query = mysql_query("select " . $modifiers[$key]['select'] . " as id from " . DB_PREFIX . $modifiers[$key]['from'] . " where " . $modifiers[$key]['where'] . "='$value'" . (($modifiers[$key]['and']) ? ' and ' . key($modifiers[$key]['and']) . '="' . $modifiers[$key]['and'][key($modifiers[$key]['and'])] . '"' : '') . ";");
					$value = mysql_fetch_array($value_query);
					$value = $value['id'];
				}
				$key = $modifiers[$key]['name'];
			}
			if ($key == $modifiers[$values['table']]['key']['name']) {
				$id = $modifiers[$values['table']]['key']['id'];
				$select_query = mysql_query('select ' . $id . ' as id from ' . DB_PREFIX . $values['table'] . ' where ' . $key . ' = "' . $value . '"');
				$select = mysql_fetch_array($select_query);
				if ($select['id']) {
					$idval = $select['id'];
				} else {
					$insert = mysql_query('insert into ' . DB_PREFIX . $values['table'] . ' (' . $key . (($modifiers[$key]['and']) ? ', ' . key($modifiers[$key]['and']) : '') . ') values ("' . $value . (($modifiers[$key]['and']) ? '","' . $modifiers[$key]['and'][key($modifiers[$key]['and'])] : '') . '")');
					$idval = mysql_insert_id();
				}
				$keys[] = $id;
				$vals[] = $idval;
				if ($modifiers[$values['table']]['parent']) $parent[$id] = $idval;
			}
			$keys[] = $key;
			$vals[] = addslashes($value);
		}
	}
	
	if (sizeof($keys) > 0) {
		if ($modifiers[$values['table']]['add']) {
			$keys[] = $modifiers[$values['table']]['add'];
			$vals[] = $parent[$modifiers[$values['table']]['add']];
		}
		if (mysql_query('replace into ' . $values['table'] . ' (' . implode(',',$keys) . ') values ("' . implode('","',$vals) . '");')) $GLOBALS['xml']['records'][$values['table']]++;
		if (mysql_error()) $GLOBALS['xml']['errors'][] = mysql_error() . UNIX_RETURN . $query . UNIX_RETURN;
	}
	
	foreach ($values as $key => $value) {
		if (is_array($value)) {
			foreach($value as $valval_key => $valval_val) {
				shop_import_xml($valval_val, $modifiers, $parent);
			}
		}
	}
	
	return 1-sizeof($GLOBALS['xml']['errors']);
}
