<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=configuration.php&gID=8">Selecting listing options</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Setting image sizes</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Image Sizes" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Image Sizes" under "Interface Setup" on the left "Administration" window. To make changes to an option: select the option, make any necessary changes, then click "Update". Image size options include:

<blockquote>

<p><u>Product Info Width & Height</u>
<p align="justify">The "Product Info Width" and "Product Info Height" options settings are used to define the width and height of images displayed on product information pages. The user can click on product images to view a larger version; it is recommended that product images be stored approximately twice the size to allow for a more detailed view.

<p><table border="0" cellpadding="4" cellspacing="0">
  <tr>
	<td bgcolor="FFC0C0" valign="center" align="left">
	  <p align="justify"><b>Tip:</b> If your product images do not have a standard width and height, you can leave the width or height of the "Small Image" options blank; eShox will automatically calculate the width or height based on aspect ratios of the images. For example: if the "Small Image Width" is blank and the "Small Image Height" is 120 pixels, an image sized 320x240 will be resized to 160x120.
	</td>
  </tr>
</table>

<p><u>List Image Width & Height</u>
<p align="justify">The "List Image Width" and "List Image Height" options settings are used to define the width and height of category and product images displayed on the shop index page (if "Display Categories on Index" under "Listings" is set to true).

<p><u>List Header Image Width & Height</u>
<p align="justify">The "List Header Image Width" and "List Header Image Height" options settings are used to define the width and height of images displayed in category listing headings and on manufacturer listing headings.

<p><table border="0" cellpadding="4" cellspacing="0">
  <tr>
	<td bgcolor="FFC0C0" valign="center" align="left">
	  <p align="justify"><b>Tip:</b> If your heading images do not have a standard width and height, you can leave the width or height of the "Heading Image" options blank; eShox will automatically calculate the width or height based on aspect ratios of the images. For example: if the "Heading Image Width" is blank and the "Heading Image Height" is 60 pixels, an image sized 160x120 will be resized to 80x60.
	</td>
  </tr>
</table>

<p><u>Calculate Image Size</u>
<p align="justify">The "Calculate Image Size" options setting is used to define whether or not eShox will calculate the image sizes of GIF and JPEG images. If set to true, eShox will calculate images sizes; if set to false, eShox will not calculate images sizes, images will be displayed at the sizes defined by the "Small Image", "Heading Image" and "Subcategory Image" options settings. There is a slight performance gain if image sizes are not calculated.

<p><u>Server-Side Image Scaling</u>
<p align="justify">The "Server-Side Image Scaling" options setting is used to define whether or not eShox will scale product images on the server, if the server is capable of doing such a task (if set to true, eShox will auto detect if server-side image scaling is possible). Improves quality of small images (while still providing the zoom capability). Decreases overall filesize to improve download speed.

</blockquote>

</blockquote>

</tr>
</table>