<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=modules.php&set=shipping">Selecting shipping options</a>; <a href="help.php?page=modules.php&set=ordertotal">Selecting checkout options</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Setting stock and packaging options</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Stock & Packaging" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Stock & Packaging" under "Checkout Setup" on the left "Administration" window. To make changes to an option: select the option, make any necessary changes, then click "Update". Stock and packaging options include:

<blockquote>

<p><u>Check Stock Level</u>
<p align="justify">The "Check Stock Level" option is used to define whether eShox will check stock levels for products when a customer checks out. If set to true, eShox will check the stock level to see if sufficient stock is available for the products ordered.

<p><u>Subtract Stock</u>
<p align="justify">The "Subtract Stock" option is used to define whether eShox will subtract from the stock of products ordered by customers. If set to true, eShox will subtract the quantity ordered from the available stock of each product ordered. If you products have unlimited stock or if you don't need to keep track of how many units you have available, you can set this option to false.

<p><u>Allow Checkout</u>
<p align="justify">The "Allow Checkout" option is used to define whether eShox will allow customers to checkout even if a product they are ordering is out of stock. If set to true, eShox will allow customers to checkout. If set to false, eShox will present an error message when available stock of an ordered product is insufficient.

<p><u>Handling fee for all packages</u>
<p align="justify">The "Handling fee for all packages" options setting is used to define the amount customers are charged on top of the amount quoted by the shipping carrier or shipping option.

<p><u>Insurance fee for all packages</u>
<p align="justify">The "Insurance fee for all packages" options setting is used to define the percentage of order total customers are charged on top of the amount quoted by the shipping carrier or shipping option. For example: if set to "0%", customers will not be charged additional fees for insurance; if set to "1%", customers will be charged 1% of their order total for shipping insurance.

<p><u>Packaging weight</u>
<p align="justify">The "Packaging weight" options setting is used to define the weight of the box and packaging materials to be added to the total weight of ordered items when obtaining quotes from shipping carriers.

<p><u>Shipping markup/markdown</u>
<p align="justify">The "Shipping markup/markdown" options setting is used to calculate an additional fee to be charged on top of quotes obtained from shipping carriers. For example: if set to "0%", customers will not be charged additional fees; if set to "100%", customers will be charged twice the rate quoted by the shipping carrier.

</blockquote>

</blockquote>

</tr>
</table>