<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  class ot_subtotal {
	var $title, $output;

	function ot_subtotal() {
	  $this->code = 'ot_subtotal';
	  $this->title = MODULE_ORDER_TOTAL_SUBTOTAL_TITLE;
	  $this->description = MODULE_ORDER_TOTAL_SUBTOTAL_DESCRIPTION;
	  $this->enabled = defined('MODULE_ORDER_TOTAL_SUBTOTAL_STATUS');
	  $this->sort_order = 1;

	  $this->output = array();
	}

	function process() {
	  global $order;

	  $this->output[] = array('title' => $this->title . ':',
	                          'text' => $GLOBALS['currencies']->format($order->info['subtotal'], true, $order->info['currency'], $order->info['currency_value']),
	                          'value' => $order->info['subtotal']);
	}

	function check() {
	  return defined('MODULE_ORDER_TOTAL_SUBTOTAL_STATUS');
	}

	function keys() {
	  return array('MODULE_ORDER_TOTAL_SUBTOTAL_STATUS');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_ORDER_TOTAL_SUBTOTAL_STATUS', 'true')");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key in ('" . implode("','", $this->keys()) . "')");
	}
  }
