<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/


$lselect_query = "select p.products_id from " . DB_PREFIX . "products p";

if (@$_GET['show'] == 'new') {
  $lselect_query .= " where p.products_date_added > '" . date("Y-m-d H:m:s", strtotime("90 days ago")) . "' and ";
} elseif (@$_GET['show'] == 'specials') {
  $lselect_query .= ", " . DB_PREFIX . "specials s where s.status = 1 and p.products_id = s.products_id and ";
} elseif ($manufacturers_id) {
  $lselect_query .= ", " . DB_PREFIX . "products_to_categories p2c where p.products_id = p2c.products_id and ";
} else {
  $lselect_query .= ", " . DB_PREFIX . "products_to_categories p2c where p.products_id = p2c.products_id and p2c.categories_id = $current_category_id and ";
}

if ($manufacturers_id) $lselect_query .= " p.manufacturers_id = '$manufacturers_id' and ";
$lselect_query .= " p.products_status = 1";
if (!@$_GET['show']) $lselect_query .= " order by p2c.sort_order";

$larray = array();
$lselect = shop_db_query($lselect_query);
while ($litem = shop_db_fetch_array($lselect)) {
	$larray[$litem['products_id']] = $litem['products_id'];
}
if ($current_category_id == 0 && !@$_GET['show'] && TOP_FEATURES_DISPLAY == 'true') {
  $lselect_query2 = "select f.products_id from " . DB_PREFIX . "features f, " . DB_PREFIX . "products p where f.products_id = p.products_id and f.expires_date >= now() or f.expires_date = '00-00-0000 00:00:00' and p.products_status = 1";
  $lselect2 = shop_db_query($lselect_query2);
  while ($litem = shop_db_fetch_array($lselect2)) {
	$larray[$litem['products_id']] = $litem['products_id'];
  }
}
$listing_sql = "select " . PRODUCT_DB_INFO . ", pd.products_name, s.specials_new_products_price from " . DB_PREFIX . "products p left join " . DB_PREFIX . "products_description pd on (pd.language_id = '$languages_id' and pd.products_id = p.products_id) left join " . DB_PREFIX . "specials s on (s.products_id = pd.products_id) left join " . DB_PREFIX . "products_to_categories p2c on p2c.products_id = p.products_id and p2c.categories_id = '$current_category_id' where p.products_id in ('" . implode("','", $larray) . "') group by p.products_id " . (!$_GET['sort']?'order by sort_order':'');
$limit_sql = $listing_sql;
$listing_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $limit_sql, $listing_numrows);


$categories_query = shop_db_query("select c.categories_id, cd.categories_name, cd.categories_display_text, c.categories_image, c.parent_id from " . DB_PREFIX . "categories c, " . DB_PREFIX . "categories_description cd where c.parent_id = '$current_category_id' and c.categories_status = '1' and c.categories_id = cd.categories_id and cd.language_id = '$languages_id' order by sort_order");

if ($cPath) {
  if ($listing_numrows > 0) {
	$category_depth = 'products';
  } elseif (TOP_CATEGORIES_DISPLAY == 'true' && shop_db_num_rows($categories_query) > 0) {
	$category_depth = 'nested';
  }
}

if (strlen(INTRODUCTION) > 0 && $category_depth == 'top' && !$manufacturers_id && !@$_GET['cPath'] && !@$_GET['show']) {
?>
  <table border="0" width="100%" cellspacing="0" cellpadding="2">
	<tr>
	  <td class="body">
<?php 
	  if (strip_tags(INTRODUCTION) == INTRODUCTION) {
	    echo str_replace(array(UNIX_RETURN, TAB, '[welcome]'),array("<br />", " &nbsp; &nbsp;", WELCOME),INTRODUCTION);
	  } else {
	    echo str_replace('[welcome]',WELCOME,INTRODUCTION);
	  }
?>
	  </td>
	</tr>
  </table>
<?php
}

// Display category text if it is set
if ($cPath && !$_GET['products_id'] && $GLOBALS['category_info']['categories_display_text']!='') {
	echo '<div id="category-display-text">' . $GLOBALS['category_info']['categories_display_text'] . '</div>';
}

$info_box_contents = array();
$row = 0; $col = 0; $num = 0;

if (TOP_CATEGORIES_DISPLAY == 'true' && !$manufacturers_id && !@$_GET['show']) {
  while ($categories = shop_db_fetch_array($categories_query)) {
	$cPath_new = shop_get_path($categories['categories_id']);
	$link = (MOD_REWRITE == 'false') ? shop_href_link('index.php', $cPath_new, 'NONSSL') : shop_rewrite_link('cat', $categories['categories_name'], shop_get_path($categories['categories_id'], true), 'NONSSL');
	$infoBoxContents = '<a href="' . $link . '">';
	if ($categories['categories_image']) {
		$infoBoxContents .= shop_image('images/' . $categories['categories_image'], $categories['categories_name'], SUBCATEGORY_IMAGE_WIDTH, SUBCATEGORY_IMAGE_HEIGHT) . '<br />';
	} else {
		$infoBoxContents .= '<H3>No Image Available</H3>';
	}
	$infoBoxContents .= '<a href="' . shop_href_link('index.php', $cPath_new, 'NONSSL') . '">' . $categories['categories_name'] . '</a>' . UNIX_RETURN;

    $listing_query = shop_db_query($listing_sql);
	$info_box_contents[$row][$col] = array('align' => 'center',
	                                       'params' => 'class="smallText" width="' . round(100/MAX_DISPLAY_ITEMS_ROW) . '%" valign="bottom"',
	                                       'text' => $infoBoxContents);
    $num ++; $col ++;
    if ($col > (MAX_DISPLAY_ITEMS_ROW-1)) {
      $col = 0; $row ++;
    }
  }
}

if (TOP_PRODUCTS_DISPLAY_MODE == 'Images') {
  $listing_query = shop_db_query($listing_sql);
  while ($listing = shop_db_fetch_array($listing_query)) {
	$info_box_contents[$row][$col] = array('align' => 'center',
	                                       'params' => 'class="smallText" width="' . round(100/MAX_DISPLAY_ITEMS_ROW) . '%" valign="bottom"',
	                                       'text' => shop_display_product($listing, 'thumbnails', true));
    $num ++; $col ++;
    if ($col > (MAX_DISPLAY_ITEMS_ROW-1)) {
      $col = 0; $row ++;
    }
  }
}  else {
  if (@$image) {
    echo '&nbsp;' . shop_image('images/' . $image, HEADING_TITLE, SUBCATEGORY_IMAGE_WIDTH, SUBCATEGORY_IMAGE_HEIGHT) . '&nbsp;';
  } elseif (@$catman_name) {
    echo '<span class="bodyHeading">&nbsp;' . HEADING_TITLE . '&nbsp;</span>';
  }
  include(DIR_FS_CONTENTS . 'eshox_os/product_listing.php');
}


if ($num > 0 && $listing_numrows > 0 && (PREV_NEXT_BAR_LOCATION == 'top' || PREV_NEXT_BAR_LOCATION == 'both')) {
?>
  <table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr>
	  <td class="navbar"> &nbsp; <?php echo $listing_split->display_count($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
	  <td align="right" class="navbar"><?php echo $listing_split->display_links($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], shop_get_all_get_params(array('page', 'info', 'x', 'y'))); ?> &nbsp; </td>
	</tr>
  </table>
<?php
}

new contentBox($info_box_contents);
  
if ($num > 0 && $listing_numrows > 0 && (PREV_NEXT_BAR_LOCATION == 'bottom' || PREV_NEXT_BAR_LOCATION == 'both')) {
?>
  <table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr>
	  <td class="navbar"> &nbsp; <?php echo $listing_split->display_count($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
	  <td align="right" class="navbar"><?php echo $listing_split->display_links($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], shop_get_all_get_params(array('page', 'info', 'x', 'y'))); ?> &nbsp; </td>
	</tr>
  </table>
<?php
}

