<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
  
  class clikpay {
	var $code, $title, $description, $enabled;

	function clikpay() {
	  $this->code = 'clikpay';
	  $this->title = 'euroConex ClikPay';
	  $this->shop_title = MODULE_PAYMENT_CC_TEXT_TITLE;
	  $this->description = '';
	  $this->signup = 'http://www.euroconex.com/';
	  $this->enabled = defined('MODULE_PAYMENT_CLIKPAY_STATUS');
	  $this->recommend_level = 3;
	  $this->version = "1.0";
	}

	function javascript_validation() {
	  return false;
	}

	function selection() {
	  return false;
	}

	function pre_confirmation_check() {
	  return false;
	}

	function confirmation() {
	  global  $checkout_form_action;

	  if (MODULE_PAYMENT_CLIKPAY_TRANSACTION_MODE == 'Test') {
	    $checkout_form_action = 'http://testclikpay.euroconex.com/process.asp';
	  } else {
	    $checkout_form_action = 'https://clikpay.euroconex.com/process.asp';
	  }

	  return false;
	}

	function process_button() {
	  global $order;

	  $order_id = shop_db_fetch_array(shop_db_query("select max(orders_id)+1 as order_id from " . DB_PREFIX . "orders where customers_id = '" . $_SESSION['customer_id'] . "';"));

	  $process_button_string = shop_draw_hidden_field('clikpay_id', MODULE_PAYMENT_CLIKPAY_MERCHANT_ID) . UNIX_RETURN .
	                           shop_draw_hidden_field('amount', $order->info['total']) . UNIX_RETURN .
	                           shop_draw_hidden_field('currency_code', DEFAULT_CURRENCY) . UNIX_RETURN .
	                           shop_draw_hidden_field('transactionid', date('U')) . UNIX_RETURN .
	                           shop_draw_hidden_field('description', STORE_NAME) . UNIX_RETURN .
	                           shop_draw_hidden_field('order_number', $_SESSION['customer_id'] . '-' . $order_id['order_id']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_firstname', $order->customer['firstname']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_lastname', $order->customer['lastname']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_address1', $order->customer['street_address']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_city', $order->customer['city']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_state', $order->customer['state']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_zip', $order->customer['postcode']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_country', $order->customer['country']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_phone', $order->customer['telephone']) . UNIX_RETURN .
	                           shop_draw_hidden_field('billto_email', $order->customer['email_address']) . UNIX_RETURN;

	  return $process_button_string;
	}

	function before_process() {
	  return false;
	}

	function after_process() {
	  return false;
	}

	function check() {
	  return defined('MODULE_PAYMENT_CLIKPAY_STATUS');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_CLIKPAY_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Clikpay ID', 'MODULE_PAYMENT_CLIKPAY_MERCHANT_ID', '123', '', '6', '1', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Transaction Mode', 'MODULE_PAYMENT_CLIKPAY_TRANSACTION_MODE', 'Test', 'Transaction mode used for processing orders', '6', '2', 'shop_cfg_select_option(array(\'Test\', \'Production\'), ', now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key in ('" . implode("','", $this->keys()) . "')");
	}

	function keys() {
	  return array('MODULE_PAYMENT_CLIKPAY_STATUS', 'MODULE_PAYMENT_CLIKPAY_MERCHANT_ID', 'MODULE_PAYMENT_CLIKPAY_TRANSACTION_MODE');
	}
  }
