<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2008, Secure.cc, Inc.

*/

include('contents/resources.php');
$affiliate = $GLOBALS['affiliates']->affiliates[$_SESSION['affiliate']];
$language_id = $GLOBALS['catalog_languages'][DEFAULT_LANGUAGE]['id'];
$xml = '';

if (GOOGLE_BASE != 'true') die('Enable Google Base RSS feed by logging into the admin, eShox Setup &gt; eShox Features &gt; Google Base');
else {
	// get the proper fields from the database
	if (STOCK_CHECK == 'true' && STOCK_ALLOW_CHECKOUT != 'true') $sql_stock = ' and products_quantity > 0';
	$result = shop_db_query("select p.*, pd.*, DATE_FORMAT(p.products_date_added, '%Y-%m-%d') as publish_date, tr.tax_rate as tax_percent, z.zone_name as tax_region, m.manufacturers_name as brand 
	from " . DB_PREFIX . "products p, " . DB_PREFIX . "products_description pd LEFT JOIN " . DB_PREFIX . "manufacturers m on p.manufacturers_id = m.manufacturers_id LEFT JOIN " . DB_PREFIX . "tax_rates tr on p.products_tax_class_id = tr.tax_class_id LEFT JOIN " . DB_PREFIX . "zones_to_geo_zones zg on tr.tax_zone_id = zg.association_id LEFT JOIN " . DB_PREFIX . "zones z on zg.zone_id = z.zone_id 
	where p.products_status = '1' and p.products_price > 0 and pd.products_id = p.products_id and pd.language_id = '" . $language_id . "' " . @$sql_stock . " 
	order by p.products_id asc");
	#header('Content-type: application/xml; charset="utf-8"',true);
	$xml .= '<?xml version="1.0" encoding="UTF-8" ?>
<rss version ="2.0" xmlns:g="http://base.google.com/ns/1.0">
<channel>
	<title>' . $affiliate['name'] . ' Google Base data feed</title>
	<description><![CDATA[' . str_replace('&nbsp;', ' ', strip_tags($affiliate['introduction'])) . ']]></description>
	<link>' . WEB_SERVER_ADDRESS . '</link>
';

	while ($product = shop_db_fetch_array($result)) {
		$link = (MOD_REWRITE == 'false') 
			? shop_href_link('product_info.php', 'products_id=' . $product['products_id'], 'NONSSL') 
			: shop_rewrite_link('prod', $product['products_name'], $product['products_id']);
		$xml .= '
	<item>
	<title><![CDATA[' . $product['products_name'] . ']]></title>
	<g:id>' . $product['products_id'] . '</g:id>
	<link>' . $link . '</link>
	<g:price>' . $product['products_price'] . '</g:price>
	<g:publish_date>' . $product['publish_date'] . '</g:publish_date>
';
		if ($product['products_description']!='') {
			$xml .= '<description><![CDATA[' . $product['products_description'] . ']]></description>
';
		}
		if ($product['model_number']!='') {
			$xml .= '<g:model_number><![CDATA[' . $product['products_model'] . ']]></g:model_number>
';
		}
		if ($product['products_image']!='') {
			$xml .= '<g:image_link>' . str_replace(' ', '%20', WEB_SERVER_ADDRESS . 'images/' . $product['products_image']) . '</g:image_link>
';
		}
		// if allow checkout, google only allows quantity of greater than 0
		if (STOCK_CHECK == 'true') { 
			$qty = ($product['products_quantity'] < 0) ? 1 : $product['products_quantity'];
			$xml .= '<g:quantity>' . $qty . '</g:quantity>
';
		}
		if ($product['products_weight'] > 0) {
			$xml .= '<g:weight>' . $product['products_weight'] . ' pounds</g:weight>
';
		}
		if ($product['tax_percent'] > 0) {
			$xml .= '<g:tax_percent>' . $product['tax_percent'] . '</g:tax_percent>
	<g:tax_region>' . $product['tax_region'] . '</g:tax_region>
';
		}
		// only add if there is a brand/manufacturer value
		if ($product['brand'] != '') {
			$xml .= '<g:brand>' . $product['brand'] . '</g:brand>
	';
		}
		$xml .= '</item>
';
	}

$xml .= '  </channel>
</rss>';
}

$filename = 'google_base.xml';
if (is_writable($filename)) {	
	if (!$handle = fopen($filename, 'wb')) die("Cannot open file ($filename)");
	if (fwrite($handle, $xml) === FALSE) die("Cannot write to file ($filename)");
	fclose($handle);
} 
else die("The file $filename is not writable");

die('<h1>Success!</h1><p>Point Google Base to this URL:</p><p>' . WEB_SERVER_ADDRESS . 'google_base.xml</p>');
?>