<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/

  Copyright (c) 2003, Secure.cc, Inc.

*/

return true;

function shop_display_order($page, $order, $oID, $raw = true, $pre = false) {
  
  $currency = $order->info['currency'];
  $currency_value = $order->info['currency_value'];
  
  if (defined('MANUFACTURER')) $page = str_replace(array('[subtotal]','[tax]','[payment_method]','[total]','[option_price]','[product_price_intax]','[product_price_extax]','[product_total_intax]','[product_total_extax]','[product_tax]'), '', $page);
  
  $affiliate_query = shop_db_query("select * from " . DB_PREFIX . "affiliates where link_code = '" . $order->info['affiliate'] . "'");
  if (shop_db_num_rows($affiliate_query)) {
	$affiliate = shop_db_fetch_array($affiliate_query);
  } else {
	$affiliate = array();
	$affiliate['image'] = STORE_LOGO;
  }
  
  $logo = shop_image('images/interface_elements/' . $affiliate['image'], $affiliate['name'], '', '', '', false);
  
  $page_elements_array = array();
  $page_elements_data_array = array();
  
  $page = str_replace(array(DOS_RETURN, MAC_RETURN, UNIX_RETURN),array("[dr]", "[mr]", "[ur]"), $page);
  
  preg_match_all('/\[product\](.*)\[\/product\]/', $page, $preg1);
  $product_element = $preg1[1][0];
  $page = preg_replace('/\[product\](.*)\[\/product\]/', '[products]', $page);

  preg_match_all('/\[option\](.*)\[\/option\]/', $product_element, $preg2);
  $option_element = $preg2[1][0];
  $product_element = preg_replace('/\[option\](.*)\[\/option\]/', '[options]', $product_element);

  $products_page_data = '';
  foreach ($order->products as $products_id => $products_info) {
	$product_elements_array = array();
	$product_elements_data_array = array();
	
	$product_elements_array[] = '[qty]';
	$product_elements_array[] = '[product_id]';
	$product_elements_array[] = '[product_name]';
	$product_elements_array[] = '[product_model]';
	$product_elements_array[] = '[product_sku]';
	$product_elements_array[] = '[serial_number]';
	$product_elements_data_array[] = ($products_info['qty']);
	$product_elements_data_array[] = ($products_info['id']);
	$product_elements_data_array[] = ($products_info['name']);
	$product_elements_data_array[] = ($products_info['model']);
	$product_elements_data_array[] = ($products_info['sku']);
	$product_elements_data_array[] = ($products_info['serial_number']);

	$product_elements_array[] = '[product_price_extax]';
	$product_elements_array[] = '[product_price_intax]';
	$product_elements_array[] = '[product_total_extax]';
	$product_elements_array[] = '[product_total_intax]';
	$product_elements_data_array[] = ($raw) ? (number_format($products_info['price'], 2)) : $GLOBALS['currencies']->format($products_info['price'], true);
	$product_elements_data_array[] = ($raw) ? number_format(shop_add_tax($products_info['price'], $products_info['tax']), 2) : $GLOBALS['currencies']->format(shop_add_tax($products_info['price'], $products_info['tax']), true);
	$product_elements_data_array[] = ($raw) ? (number_format($products_info['price'] * $products_info['qty'],2)) : $GLOBALS['currencies']->format(($products_info['price'] * $products_info['qty']), true);
	$product_elements_data_array[] = ($raw) ? number_format((shop_add_tax($products_info['price'], $products_info['tax']) * $products_info['qty']), 2) : $GLOBALS['currencies']->format((shop_add_tax($products_info['price'], $products_info['tax']) * $products_info['qty']), true);

	$product_elements_array[] = '[product_cost]';
	$product_elements_array[] = '[product_tax]';
	$product_elements_data_array[] = ($raw) ? (number_format($products_info['cost'] * $products_info['qty'],2)) : $GLOBALS['currencies']->format(($products_info['cost'] * $products_info['qty']), true);
	$product_elements_data_array[] = ($raw) ? $products_info['tax'] : shop_display_tax_value($products_info['tax']);
  
	$image_url = '';
	$names = '';
	$options_page_data = '';
	if ($products_info['image']) $image_url .= 'image[0]=images/' . $products_info['image'] . '&';
	if (sizeof($products_info['attributes']) > 0) {
	  foreach ($products_info['attributes'] as $attributes_id => $attributes_info) {
	    if ($attributes_info['image']) {
	      $image_url .= 'image[' . $attributes_info['orders_products_attributes_id'] . ']=images/' . $attributes_info['image'] . '&';
	    }
	    $names .= $attributes_info['option'] . '=' . $attributes_info['value'] . ', ';
	    $price = ($raw) ? (number_format($attributes_info['price'] * $products_info['qty'], 2)) : $GLOBALS['currencies']->format((shop_add_tax($attributes_info['price'], $products_info['tax']) * $products_info['qty']), true);
	    $pooptions = array('[option_name]', '[option_value]', '[option_price]','[option_model]');
	    $povalues = array($attributes_info['option'], $attributes_info['value'], ((round($attributes_info['price'])) ? ($attributes_info['prefix'] . $price) : '-'),($attributes_info['option_id'] ? shop_get_product_attribute_model($products_info['id'],$attributes_info['option_id']) : '-'));
		if ($pre) shop_preformat_text($pooptions, $povalues);
	    $options_page_data .= str_replace($pooptions, $povalues, $option_element);
	  }
	}
	
	if (sizeof($products_info['customer_options']) > 0) {
	  foreach ($products_info['customer_options'] as $customer_options_id => $customer_options_info) {
	    if ($customer_options_info['value']) {
	      $type = $customer_options_info['type'];
	      $option = $customer_options_info['option'];
	      $value = $customer_options_info['value'];
	      $locx = $customer_options_info['locx'];
	      $locy = $customer_options_info['locy'];
	      $image_url .= 'locx[' . $customer_options_id . ']=' . $locx . '&';
	      $image_url .= 'locy[' . $customer_options_id . ']=' . $locy . '&';
	      $names .= $option . '=' . $value . ', ';
	      switch ($type) {
	        case '3':
	          $value = '<a href="../customer_options/' . $value . '" target="_new">' . $option. '</a>';
	          break;
	        case '4':
	          $value = preg_replace("([0-9A-Za-z])",'&bull;',$value);
	          break;
	        case '6':
	          $image_url .= 'text[' . $customer_options_id . ']=' . $value . '&';
	          break;
	        case '7':
	          $image_url .= 'uploadedimage[' . $customer_options_id . ']=customer_options/' . $value . '&';
	          $value = '<a href="../contents/image.php?image[' . $customer_options_id . ']=customer_options/' . $value . '" target="_new">' . $option . '</a>';
	          break;
	        case '8':
	          $image_url .= 'font=' . $value . '&';
	          $value = str_replace(array('.ttf','_'),array('',' '),$value);
	          break;
	        case '9':
	          $image_url .= 'fontsize=' . $value . '&';
	          break;
	        case '10':
	          $image_url .= 'color=' . $value . '&';
	          break;
	      }

	      if ($option && strlen($value)) {
	        $poptions = array('[option_name]', '[option_value]', '[option_price]','[option_model]');
	        $pvalues = array($option, $value, '-','-');
	        $options_page_data .= str_replace($poptions, $pvalues, $option_element);
	      }
	    }
	  }
	}
		
	$product_elements_array[] = '[product_image]';
	$product_elements_data_array[] = ('contents/image.php?' . $image_url);
	if ($pre) shop_preformat_text($product_elements_array, $product_elements_data_array);
	
	$product_elements_array[] = '[options]';
	$product_elements_data_array[] = $options_page_data;
  
	$products_page_data .= str_replace($product_elements_array,$product_elements_data_array,$product_element);
  }
  
  $page_elements_array[] = '[products]';
  $page_elements_data_array[] = $products_page_data;

  $page_elements_array[] = '[subtotal]';
  $page_elements_array[] = '[coupons]';
  $page_elements_array[] = '[tax]';
  $page_elements_array[] = '[shipping]';
  $page_elements_array[] = '[total]';
  $page_elements_data_array[] = ($raw) ? number_format($order->info['subtotal'], 2) : $GLOBALS['currencies']->format($order->info['subtotal'], true);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['coupon'], 2) : $GLOBALS['currencies']->format($order->info['coupon'], true);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['tax'], 2) : $GLOBALS['currencies']->format($order->info['tax'], true);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['shipping'], 2) : $GLOBALS['currencies']->format($order->info['shipping'], true);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['total'], 2) : $GLOBALS['currencies']->format($order->info['total'], true);

  $page_elements_array[] = '[logo]';
  $page_elements_array[] = '[address]';
  $page_elements_array[] = '[shop_name]';
  $page_elements_array[] = '[page_title]';
  $page_elements_array[] = '[order_id]';
  $page_elements_array[] = '[bill_address]';
  $page_elements_array[] = '[ship_address]';
  $page_elements_array[] = '[email]';
  $page_elements_array[] = '[phone]';
  $page_elements_array[] = '[fax]';
  $page_elements_array[] = '[customers_id]';
  $page_elements_array[] = '[customers_code]';
  $page_elements_array[] = '[affiliate]';
  $page_elements_array[] = '[payment_method]';
  $page_elements_array[] = '[transaction_type]';
  $page_elements_array[] = '[payment_cc_type]';
  $page_elements_array[] = '[payment_cc_owner]';
  $page_elements_array[] = '[payment_cc_number]';
  $page_elements_array[] = '[payment_cc_expires]';
  $page_elements_array[] = '[payment_cc_code]';
  $page_elements_array[] = '[shipping_method]';
  $page_elements_array[] = '[currency]';
  $page_elements_array[] = '[currency_value]';
  $page_elements_array[] = '[date_short]';
  $page_elements_array[] = '[date]';
  $page_elements_array[] = '[order_url]';
  $page_elements_array[] = '[status]';
  $page_elements_array[] = '[highorderdiscount]'; 
  $page_elements_data_array[] = shop_image('images/interface_elements/' . STORE_LOGO, STORE_NAME);
  $page_elements_data_array[] = ($affiliate['address_phone']);
  $page_elements_data_array[] = ($affiliate['name']);
  $page_elements_data_array[] = (PAGE_TITLE);
  $page_elements_data_array[] = ($oID);
  $page_elements_data_array[] = (shop_address_format($order->customer['format_id'], $order->customer, 1, '&nbsp;', '<br />'));
  $page_elements_data_array[] = (shop_address_format($order->delivery['format_id'], $order->delivery, 1, '&nbsp;', '<br />'));
  $page_elements_data_array[] = ($order->customer['email_address']);
  $page_elements_data_array[] = ($order->customer['telephone']);
  $page_elements_data_array[] = ($order->customer['fax']);
  $page_elements_data_array[] = ($order->customer['customers_id']);
  $page_elements_data_array[] = ($order->customer['customers_code']);
  $page_elements_data_array[] = ($order->info['affiliate']);
  $page_elements_data_array[] = ($order->info['payment_method']);
  $page_elements_data_array[] = (($order->info['cc_number']) ? "CREDIT CARD" : "CASH SALE");
  $page_elements_data_array[] = ($order->info['cc_type']);
  $page_elements_data_array[] = ($order->info['cc_owner']);
  $page_elements_data_array[] = ($order->info['cc_number']);
  $page_elements_data_array[] = ($order->info['cc_expires']);
  $page_elements_data_array[] = ($order->info['cc_code']);
  $page_elements_data_array[] = ($order->info['shipping_method']);
  $page_elements_data_array[] = ($order->info['currency']);
  $page_elements_data_array[] = ($order->info['currency_value']);
  $date = split('[-:\ ]', $order->info['date_purchased']);
  $page_elements_data_array[] = ($date[1] . '/' . $date[2] . '/' . substr($date[0],-2));
  $page_elements_data_array[] = ($order->info['date_purchased']);
  $page_elements_data_array[] = $url;
  $page_elements_data_array[] = ($order->info['status']);
  $page_elements_data_array[] = ($raw) ? str_replace('-','',number_format($order->info['highorderdiscount'], 2)) : str_replace('-','',$GLOBALS['currencies']->format($order->info['highorderdiscount'], true)); 

  $page_elements_array[] = '[shop_url]';
  $page_elements_data_array[] = DIR_WS_CATALOG;
  
  $page_elements_array[] = '[customer_name]';
  $page_elements_array[] = '[customers_firstname]';
  $page_elements_array[] = '[customers_lastname]';
  $page_elements_array[] = '[customer_company]';
  $page_elements_array[] = '[customer_address]';
  $page_elements_array[] = '[customer_address_2]';
  $page_elements_array[] = '[customer_city]';
  $page_elements_array[] = '[customer_state]';
  $page_elements_array[] = '[customer_country]';
  $page_elements_array[] = '[customer_postcode]';
  $page_elements_data_array[] = ($order->customer['name']);
  $page_elements_data_array[] = ($order->customer['customers_firstname']);
  $page_elements_data_array[] = ($order->customer['customers_lastname']);
  $page_elements_data_array[] = ($order->customer['company']);
  $page_elements_data_array[] = ($order->customer['street_address']);
  $page_elements_data_array[] = ($order->customer['street_address_2']);
  $page_elements_data_array[] = ($order->customer['city']);
  $page_elements_data_array[] = ($order->customer['state']);
  $page_elements_data_array[] = ($order->customer['country']);
  $page_elements_data_array[] = ($order->customer['postcode']);
  
  $page_elements_array[] = '[delivery_name]';
  $page_elements_array[] = '[delivery_company]';
  $page_elements_array[] = '[delivery_address]';
  $page_elements_array[] = '[delivery_address_2]';
  $page_elements_array[] = '[delivery_city]';
  $page_elements_array[] = '[delivery_state]';
  $page_elements_array[] = '[delivery_country]';
  $page_elements_array[] = '[delivery_postcode]';
  $page_elements_data_array[] = ($order->delivery['name']);
  $page_elements_data_array[] = ($order->delivery['company']);
  $page_elements_data_array[] = ($order->delivery['street_address']);
  $page_elements_data_array[] = ($order->delivery['street_address_2']);
  $page_elements_data_array[] = ($order->delivery['city']);
  $page_elements_data_array[] = ($order->delivery['state']);
  $page_elements_data_array[] = ($order->delivery['country']);
  $page_elements_data_array[] = ($order->delivery['postcode']);

  if ($pre) shop_preformat_text($page_elements_array, $page_elements_data_array);
  
  $page_elements_array[] = '[comments]';
  $page_elements_data_array[] = ($order->info['comments']);
  
  $page_elements_array[] = '[dr]';
  $page_elements_array[] = '[mr]';
  $page_elements_array[] = '[ur]';
  $page_elements_data_array[] = DOS_RETURN;
  $page_elements_data_array[] = MAC_RETURN;
  $page_elements_data_array[] = UNIX_RETURN;
  
  return str_replace($page_elements_array,$page_elements_data_array,$page);
}

function shop_preformat_text($keys, $data) {
	for($x=0; $x<sizeof($data); $x++) {
		$keyslen = strlen($keys[$x]);
		$datalen = strlen($data[$x]);

		if ($datalen < $keyslen) $data[$x] .=  str_repeat(' ', $keyslen - $datalen);
		if ($datalen > $keyslen) $keys[$x] .=  str_repeat(' ', $datalen - $keyslen);
	}
}
