<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

$see_also = 'See also: <a href="help.php?page=configuration.php&gID=15">Enabling store features</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Serial number features</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Serial Numbers" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Serial Numbers" under "Serial Numbers Setup" on the left "Administration" window.

<p align="justify">Serial number features are primarily for use in distributing serial numbers for software products. You can enable serial number features in the "Store Features" section of eShox Admin. These features allow the store owner to define products that have serial numbers and provide these serial numbers to customers upon purchase. Serial numbers are displayed after checkout and are also available to customers in their account history.

<p align="justify">Serial number equations must be written in PHP, or else included using the exec() function. As an example, an equation should look something like this:

<pre>
$serial = rand(1000,9999) . '-'
	    . rand(1000,9999) . '-'
	    . rand(1000,9999) . '-'
	    . rand(10,99) . '-';

return $serial;
</pre>

<p align="justify">Be sure not to echo anything in your equation, instead use the return function to send the equation output back to eShox. Do not put &lt;?php and ?&gt; in your equation.

<p align="justify">To add a serial number equation: click "Insert", select the product (from the pop-up list of products defined in the "Categories & Products" section of eShox Admin), enter the equation and click "Save". To edit a serial number equation: select the product whose equation you wish to edit, click "Edit", make any necessary changes and click "Update".

<p align="justify">To delete a serial number equation: select the product whose equation you wish to delete and click "Delete".

</blockquote>

</tr>
</table>