<?php


/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Tour Dates');

define('TABLE_HEADING_TOUR_DATES', 'Tour Dates');

define('TEXT_ARTIST', 'Artist');
define('TEXT_VENUE', 'Venue');
define('TEXT_VENUE_LOCATION', 'Contact');
define('TEXT_TOUR_DATE', 'Tour Date');
define('TEXT_DATE_DATE', 'Tour Date (DD/MM/YYYY)');
define('TEXT_DATE_TIME', 'Tour Date Time (HH:MM)');
define('TEXT_URL', 'Venue URL');
define('TEXT_LOCATION', 'Venue Location');
define('TEXT_MAP_URL', 'Street Map URL:');

define('TEXT_HEADING_NEW_TOUR_DATE', 'New Tour Date');
define('TEXT_HEADING_EDIT_TOUR_DATE', 'Edit Tour Date');
define('TEXT_HEADING_DELETE_TOUR_DATE', 'Delete Tour Date');

define('TEXT_DELETE_INTRO', 'Are you sure you want to delete this tour date?');

define('TEXT_NEW_INTRO', 'Please fill out the following information for the new tour date');
define('TEXT_EDIT_INTRO', 'Please make any necessary changes');


define('TEXT_DELETE_PRODUCTS', 'Delete products from this tour date?');
define('TEXT_DELETE_WARNING_PRODUCTS', '<b>WARNING:</b> There are %s products still linked to this tour date!');
  switch ($_GET['action']) {
	case 'insert':
	case 'save':
	  $tour_date_id = ($_GET['tdID']);
	  $artist_id = ($_POST['artist_id']);
	  $venue = ($_POST['venue']);
	  $venue_location = $_POST['venue_location'];
	  $venue_url = $_POST['venue_url'];
	  $venue_map_url = $_POST['venue_map_url'];
	  $ampm = $_POST['ampm'];
	  $tour_date_hour = $_POST['tour_date_hour'];
	  if ($ampm == 'pm') {
	    $tour_date_hour = $tour_date_hour + 12;
	  }
	  if ($ampm == 'am' && $tour_date_hour == 12) {
	    $tour_date_hour = 12;
	  }
	  if ($ampm == 'pm' && $tour_date_hour == 24) {
	    $tour_date_hour = '00';
	  }
	  $tour_date = $_POST['tour_date_year'] . '-' . $_POST['tour_date_month'] . '-' . $_POST['tour_date_day'] . ' ' . $tour_date_hour . ':' . $_POST['tour_date_minute'] . ':00';
	    $sql_data_array = array('artist_id' => $artist_id,
	                            'venue' => $venue,
	                            'venue_url' => $venue_url,
	                            'venue_location' => $venue_location,
	                            'venue_map_url' => $venue_map_url,
	                            'tour_date' => $tour_date);

	    if ($_GET['action'] == 'insert') {
	      $tour_date_id = shop_db_perform('mshox_tour_dates', $sql_data_array);
	    } elseif ($_GET['action'] == 'save') {
	      shop_db_perform('mshox_tour_dates', $sql_data_array, 'update', "tour_date_id = '$tour_date_id'");
	    }
	  shop_redirect(shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tour_date_id));
	  break;
	case 'deleteconfirm':
	  $tour_date_id = ($_GET['tour_date_id']);

	  shop_db_query("delete from " . DB_PREFIX . "mshox_tour_dates where tour_date_id = '$tour_date_id'");

	  shop_redirect(shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID']));
	  break;
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = 'music.php';
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="CENTER" valign="CENTER" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TEXT_ARTIST; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TEXT_VENUE; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TEXT_TOUR_DATE; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
  if ($_GET['artistID'] && $_GET['artistID'] != 'all') {
	$tour_dates_query_raw = "select tour_date_id, artist_id, venue, venue_url, venue_location, venue_map_url, tour_date from " . DB_PREFIX . "mshox_tour_dates where artist_id='" . $_GET['artistID'] . "' order by artist_id, tour_date";
  } else {
	$tour_dates_query_raw = "select tour_date_id, artist_id, venue, venue_url, venue_location, venue_map_url, tour_date from " . DB_PREFIX . "mshox_tour_dates order by artist_id, tour_date";
  }
  $tour_dates_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $tour_dates_query_raw, $tour_dates_query_numrows);
  $tour_dates_query = shop_db_query($tour_dates_query_raw);
  while ($tour_dates = shop_db_fetch_array($tour_dates_query)) {
	if (((!$_GET['tdID']) || (@$_GET['tdID'] == $tour_dates['tour_date_id'])) && (!$tdInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $tdInfo_array = array_merge($tour_dates, $tour_dates_artists);
	  $tdInfo = new objectInfo($tdInfo_array);
	}
	$tdate1 = explode(' ', $tour_dates['tour_date']);
	$tdate2 = explode('-', $tdate1[0]);
	$tdate3 = explode(':', $tdate1[1]);
	$tdate3[0] = $tdate3[0] - 0;
	if ($tdate3[0] < 13) {
	  $tdate4 = ' AM';
	}
	if ($tdate3[0] < 1) {
	  $tdate3[0] = '12';
	  $tdate4 = ' PM';
	}
	if ($tdate3[0] > 12) {
	  $tdate3[0] = $tdate3[0] - 12;
	  $tdate4 = ' PM';
	}
	if ( (is_object($tdInfo)) && ($tour_dates['tour_date_id'] == $tdInfo->tour_date_id) ) {
	  echo '              <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tour_dates['tour_date_id'] . '&action=edit') . '\'">' . UNIX_RETURN;
	} else {
	  echo '              <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tour_dates['tour_date_id']) . '\'">' . UNIX_RETURN;
	}
?>
	            <td class="dataTableContent" height="20"> &nbsp; <?php echo shop_get_artists_name($tour_dates['artist_id']); ?></td>
	            <td class="dataTableContent"><?php echo $tour_dates['venue']; ?></td>
	            <td class="dataTableContent"><?php echo $tdate2[1] . '/' . $tdate2[2] . '/' . $tdate2[0] . ' @ ' . $tdate3[0] . ':' . $tdate3[1] . $tdate4; ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($tdInfo)) && ($tour_dates['tour_date_id'] == $tdInfo->tour_date_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tour_dates['tour_date_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="4">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $tour_dates_split->display_count($tour_dates_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_TOUR_DATES); ?></td>
	                  <td class="smallText" align="right"><?php echo $tour_dates_split->display_links($tour_dates_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], 'artistID=' . $_GET['artistID']); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
<?php
  if (!$_GET['action'] == 'new' || $_GET['action'] == 'show-only') {
?>
	          <tr>
	            <td align="right" colspan="4" class="smallText"><?php echo '<a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $tdInfo->artist_id . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	          </tr>
<?php
  }
?>
	        </table>
	      </td>
<?php
  $heading = array();
  $contents = array();
  
  $artists_query = shop_db_query("select * from " . DB_PREFIX . "mshox_artists where language_id = '$languages_id' order by artist");
  $artists_array = array();
  while ($artists = shop_db_fetch_array($artists_query)) {
	  $artists_array[] = array('id' => $artists['artist_id'], 'text' => $artists['artist']);
  }
  
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_HEADING_NEW_TOUR_DATE);

	  $contents = array('form' => shop_draw_form('artists', FILENAME_TOUR_DATES, 'action=insert&artistID=' . $_GET['artistID'], 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_NEW_INTRO);

	  $contents[] = array('text' => '<br />' . TEXT_ARTIST . '<br />' . shop_draw_pull_down_menu('artist_id', $artists_array, $_GET['artistID']));

	  $contents[] = array('text' => '<br />' . TEXT_VENUE . '<br />' . shop_draw_input_field('venue'));
	  $contents[] = array('text' => '<br />' . TEXT_URL . '<br />' . shop_draw_input_field('venue_url'));
	  $contents[] = array('text' => '<br />' . TEXT_LOCATION . '<br />' . shop_draw_textarea_field('venue_location', '', 2));
	  $contents[] = array('text' => '<br />' . TEXT_MAP_URL . '<br />' . shop_draw_input_field('venue_map_url', $tdInfo->venue_map_url));
	  $contents[] = array('text' => '<br />' . TEXT_DATE_DATE . '<br />' . shop_draw_input_field('tour_date_month', date(m),'SIZE=2') . shop_draw_input_field('tour_date_day', date(d),'SIZE=2') . shop_draw_input_field('tour_date_year', date(Y),'SIZE=4'));
	  $contents[] = array('text' => '<br />' . TEXT_DATE_TIME . '<br />' . shop_draw_input_field('tour_date_hour', '09','SIZE=2') . shop_draw_input_field('tour_date_minute', '30','SIZE=2') . '<SELECT NAME="ampm"><OPTION VALUE="am">AM</OPTION><OPTION SELECTED VALUE="pm">PM</OPTION></SELECT>');
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $_GET['aID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  
	  $heading[] = array('text' => TEXT_HEADING_EDIT_TOUR_DATE);

	  $contents = array('form' => shop_draw_form('artists', FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tdInfo->tour_date_id . '&action=save', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_EDIT_INTRO);

	  $tdate1 = explode(' ', $tdInfo->tour_date);
	  $tdate2 = explode('-', $tdate1[0]);
	  $tdate3 = explode(':', $tdate1[1]);
	    $tdate3[0] = $tdate3[0] - 0;
	    if ($tdate3[0] < 13) {
	      $tdate5 = 1;
	    }
	    if ($tdate3[0] < 1) {
	      $tdate3[0] = '12';
	      $tdate5 = 2;
	    }
	    if ($tdate3[0] > 12) {
	      $tdate3[0] = $tdate3[0] - 12;
	      $tdate5 = 2;
	    }
	    if ($tdate5 == 1) {
	      $select_ampm = '<SELECT NAME="ampm"><OPTION SELECTED VALUE="am">AM</OPTION><OPTION VALUE="pm">PM</OPTION></SELECT>';
	    } else {
	      $select_ampm = '<SELECT NAME="ampm"><OPTION VALUE="am">AM</OPTION><OPTION SELECTED VALUE="pm">PM</OPTION></SELECT>';
	    }
	  $contents[] = array('text' => '<br />' . TEXT_ARTIST . '<br />' . shop_draw_pull_down_menu('artist_id', $artists_array, $tdInfo->artist_id));
  
	  $contents[] = array('text' => '<br />' . TEXT_VENUE . '<br />' . shop_draw_input_field('venue', $tdInfo->venue));
	  $contents[] = array('text' => '<br />' . TEXT_URL . '<br />' . shop_draw_input_field('venue_url', $tdInfo->venue_url));

	  $contents[] = array('text' => '<br />' . TEXT_LOCATION . '<br />' . shop_draw_textarea_field('venue_location', $tdInfo->venue_location, 2));
	  $contents[] = array('text' => '<br />' . TEXT_MAP_URL . '<br />' . shop_draw_input_field('venue_map_url', $tdInfo->venue_map_url));
	  $contents[] = array('text' => '<br />' . TEXT_DATE_DATE . '<br />' . shop_draw_input_field('tour_date_month', $tdate2[1],'SIZE=2') . shop_draw_input_field('tour_date_day', $tdate2[2],'SIZE=2') . shop_draw_input_field('tour_date_year', $tdate2[0],'SIZE=4'));
	  $contents[] = array('text' => '<br />' . TEXT_DATE_TIME . '<br />' . shop_draw_input_field('tour_date_hour', $tdate3[0],'SIZE=2') . shop_draw_input_field('tour_date_minute', $tdate3[1],'SIZE=2') . $select_ampm);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tdInfo->tour_date_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_HEADING_DELETE_TOUR_DATE);
	    $tdate1 = explode(' ', $tdInfo->tour_date);
	    $tdate2 = explode('-', $tdate1[0]);
	    $tdate3 = explode(':', $tdate1[1]);
	    $tdate3[0] = $tdate3[0] - 0;
	    if ($tdate3[0] < 13) {
	      $tdate4 = ' AM';
	    }
	    if ($tdate3[0] < 1) {
	      $tdate3[0] = '12';
	      $tdate4 = ' PM';
	    }
	    if ($tdate3[0] > 12) {
	      $tdate3[0] = $tdate3[0] - 12;
	      $tdate4 = ' PM';
	    }

	  $contents = array('form' => shop_draw_form('artists', FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tour_date_id=' . $tdInfo->tour_date_id . '&action=deleteconfirm'));
	  $contents[] = array('text' => TEXT_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . shop_get_artists_name($tdInfo->artist_id) . ' @ ' . $tdInfo->venue);
	  $contents[] = array('text' => TEXT_TOUR_DATE . ' ' . $tdate2[2] . '/' . $tdate2[1] . '/' . $tdate2[0] . ' @ ' . $tdate3[0] . ':' . $tdate3[1] . $tdate4);

	  if ($tdInfo->products_count > 0) {
	    $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('delete_products') . ' ' . TEXT_DELETE_PRODUCTS);
	    $contents[] = array('text' => '<br />' . sprintf(TEXT_DELETE_WARNING_PRODUCTS, $tdInfo->products_count));
	  }

	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tdInfo->tour_date_id . '&aID=' . $tdInfo->artist_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($tdInfo)) {
	    $heading[] = array('text' => $tdInfo->artist . ' @ ' . $tdInfo->venue);
	    $tdate1 = explode(' ', $tdInfo->tour_date);
	    $tdate2 = explode('-', $tdate1[0]);
	    $tdate3 = explode(':', $tdate1[1]);
	    $tdate3[0] = $tdate3[0] - 0;
	    if ($tdate3[0] < 13) {
	      $tdate4 = ' AM';
	    }
	    if ($tdate3[0] < 1) {
	      $tdate3[0] = '12';
	      $tdate4 = ' PM';
	    }
	    if ($tdate3[0] > 12) {
	      $tdate3[0] = $tdate3[0] - 12;
	      $tdate4 = ' PM';
	    }
	    $contents[] = array('text' => TEXT_ARTIST . ': ' . shop_get_artists_name($tdInfo->artist_id));
	    $contents[] = array('text' => TEXT_VENUE . ': ' . $tdInfo->venue);
	    $contents[] = array('text' => TEXT_LOCATION . ': ' . $tdInfo->venue_location);
	    $contents[] = array('text' => TEXT_TOUR_DATE . ': ' . $tdate2[1] . '/' . $tdate2[2] . '/' . $tdate2[0] . ' @ ' . $tdate3[0] . ':' . $tdate3[1] . $tdate4);
	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tdInfo->tour_date_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_TOUR_DATES, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&tdID=' . $tdInfo->tour_date_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  }
	  break;
  }

  if ( ($heading) && ($contents) ) {
	echo '            <td width="250" valign="top" class="infoBoxContent">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);
	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	  </table>
	</td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="14" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
</td>
  </tr>
</table>
<!-- body_eof //-->
</body>
</html>
