<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

require('contents/resources.php');

define('HEADING_TITLE', 'Zones & States');

define('TABLE_HEADING_COUNTRY_NAME', 'Country');
define('TABLE_HEADING_ZONE_NAME', 'Zones');
define('TABLE_HEADING_ZONE_CODE', 'Code');

define('TEXT_INFO_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_INFO_ZONES_NAME', 'Zones Name:');
define('TEXT_INFO_ZONES_CODE', 'Zones Code:');
define('TEXT_INFO_COUNTRY_NAME', 'Country:');
define('TEXT_INFO_INSERT_INTRO', 'Please enter the new zone with its related data');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete this zone?');
define('TEXT_INFO_HEADING_NEW_ZONE', 'New Zone');
define('TEXT_INFO_HEADING_EDIT_ZONE', 'Edit Zone');
define('TEXT_INFO_HEADING_DELETE_ZONE', 'Delete Zone');

  if ($_GET['action']) {
	switch ($_GET['action']) {
	  case 'insert':
	    $zone_country_id = ($_POST['zone_country_id']);
	    $zone_code = ($_POST['zone_code']);
	    $zone_name = ($_POST['zone_name']);

	    shop_db_query("insert into " . DB_PREFIX . "zones (zone_country_id, zone_code, zone_name) values ('" . ($zone_country_id) . "', '" . ($zone_code) . "', '" . ($zone_name) . "')");
	    shop_redirect(shop_href_link(FILENAME_ZONES));
	    break;
	  case 'save':
	    $zone_id = ($_GET['cID']);
	    $zone_country_id = ($_POST['zone_country_id']);
	    $zone_code = ($_POST['zone_code']);
	    $zone_name = ($_POST['zone_name']);

	    shop_db_query("update " . DB_PREFIX . "zones set zone_country_id = '" . ($zone_country_id) . "', zone_code = '" . ($zone_code) . "', zone_name = '" . ($zone_name) . "' where zone_id = '" . ($zone_id) . "'");
	    shop_redirect(shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $zone_id));
	    break;
	  case 'deleteconfirm':
	    $zone_id = ($_GET['cID']);

	    shop_db_query("delete from " . DB_PREFIX . "zones where zone_id = '" . ($zone_id) . "'");
	    shop_redirect(shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page']));
	    break;
	}
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="CENTER" valign="CENTER" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	    <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_ZONE_NAME; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TABLE_HEADING_COUNTRY_NAME; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="center"><?php echo TABLE_HEADING_ZONE_CODE; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
  $zones_query_raw = "select z.zone_id, c.countries_id, c.countries_name, z.zone_name, z.zone_code, z.zone_country_id from zones z, countries c where z.zone_country_id = c.countries_id order by c.countries_name, z.zone_name";
  $zones_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $zones_query_raw, $zones_query_numrows);
  $zones_query = shop_db_query($zones_query_raw);
  while ($zones = shop_db_fetch_array($zones_query)) {
	if (((!$_GET['cID']) || (@$_GET['cID'] == $zones['zone_id'])) && (!$cInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $cInfo = new objectInfo($zones);
	}

	if ( (is_object($cInfo)) && ($zones['zone_id'] == $cInfo->zone_id) ) {
	  echo '              <tr class="dataTableRowSelected">' . UNIX_RETURN;
	} else {
	  echo '              <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $zones['zone_id']) . '\'">' . UNIX_RETURN;
	}
?>
	            <td height=20 valign="center" class="dataTableContent"> &nbsp; <?php echo $zones['zone_name']; ?></td>
	            <td valign="center" class="dataTableContent"><?php echo $zones['countries_name']; ?></td>
	            <td valign="center" class="dataTableContent" align="center"><?php echo $zones['zone_code']; ?></td>
	            <td valign="center" class="dataTableContent" align="right"><?php if ( (is_object($cInfo)) && ($zones['zone_id'] == $cInfo->zone_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $zones['zone_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="4">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $zones_split->display_count($zones_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_ZONES); ?></td>
	                  <td class="smallText" align="right"><?php echo $zones_split->display_links($zones_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
<?php
  if (!$_GET['action']) {
?>
	              <tr>
	                <td colspan="4" align="right"><?php echo '<a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_NEW_ZONE) . '</a>&nbsp;'; ?></td>
	              </tr>
<?php
  }
?>
	        </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_INFO_HEADING_NEW_ZONE);

	  $contents = array('form' => shop_draw_form('zones', FILENAME_ZONES, 'page=' . $_GET['page'] . '&action=insert'));
	  $contents[] = array('text' => TEXT_INFO_INSERT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_INFO_ZONES_NAME . '<br />' . shop_draw_input_field('zone_name'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_ZONES_CODE . '<br />' . shop_draw_input_field('zone_code'));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_COUNTRY_NAME . '<br />' . shop_draw_pull_down_menu('zone_country_id', shop_get_countries()));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . '&nbsp;<a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_ZONE);

	  $contents = array('form' => shop_draw_form('zones', FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->zone_id . '&action=save'));
	  $contents[] = array('text' => TEXT_INFO_EDIT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_INFO_ZONES_NAME . '<br />' . shop_draw_input_field('zone_name', $cInfo->zone_name));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_ZONES_CODE . '<br />' . shop_draw_input_field('zone_code', $cInfo->zone_code));
	  $contents[] = array('text' => '<br />' . TEXT_INFO_COUNTRY_NAME . '<br />' . shop_draw_pull_down_menu('zone_country_id', shop_get_countries(), $cInfo->countries_id));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . '&nbsp;<a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->zone_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_ZONE);

	  $contents = array('form' => shop_draw_form('zones', FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->zone_id . '&action=deleteconfirm'));
	  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $cInfo->zone_name);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->zone_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($cInfo)) {
	    $heading[] = array('text' => $cInfo->zone_name);

	    $contents[] = array('text' => TEXT_INFO_ZONES_NAME . ' ' . $cInfo->zone_name . ' (' . $cInfo->zone_code . ')');
	    $contents[] = array('text' => TEXT_INFO_COUNTRY_NAME . ' ' . $cInfo->countries_name);
	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->zone_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_ZONES, 'page=' . $_GET['page'] . '&cID=' . $cInfo->zone_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  }
	  break;
  }

  if ( ($heading) && ($contents) ) {
	echo '            <td width="25%" valign="top" class="infoBoxContent">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	    </table></td>
	  </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="14" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
