<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/

  Copyright (c) 2003, Secure.cc, Inc.

*/

return true;

function & shop_print($order) {
  $handle = fopen('templates/' . MODULE_SKIN_SELECTED . '/order.txt', "r");
  $text = fread($handle, filesize('templates/' . MODULE_SKIN_SELECTED . '/order.txt'));
  fclose($handle);

  $order_text = shop_display_order($text, $order, $order->info['order_id'], true, true);
  if (DEFAULT_PRINTER != 'DEFAULT_PRINTER' && DEFAULT_PRINTER != 'none') {
    exec('echo "' . strip_tags($order_text) . '" | lpr -P ' . DEFAULT_PRINTER . ' &', $result);
  }
}

function shop_mail_order($to_name, $to_email_address, $email_subject, $from_email_name, $from_email_address, &$order, $url) {
  
  $handle = fopen('templates/' . MODULE_SKIN_SELECTED . '/order_email.html', "r");
  $html = fread($handle, filesize('templates/' . MODULE_SKIN_SELECTED . '/order_email.html'));
  fclose($handle);
  
  $handle = fopen('templates/' . MODULE_SKIN_SELECTED . '/order.txt', "r");
  $text = fread($handle, filesize('templates/' . MODULE_SKIN_SELECTED . '/order.txt'));
  fclose($handle);
  
  $email_html = shop_display_order($html, $order, $order->info['order_id'], false, false, $url);
  $email_text = shop_display_order($text, $order, $order->info['order_id'], false, true, $url);
    
  $message = new Email();
  if (MAIL_FORMAT == 'Both') {
	$message->add_html($email_html, utf_htmlentities_decode($email_text));
  } elseif (MAIL_FORMAT == 'HTML') {
	$message->add_html($email_html);
  } else {
	$message->add_text(utf_htmlentities_decode($email_text));
  }
  $message->build_message();
  $headers = '';
  for ($i=0; $i<sizeof($message->headers); $i++) $headers .= $message->headers[$i] . DOS_RETURN;  
  $message->sendmail($to_name, $to_email_address, $from_email_name, $from_email_address, utf_htmlentities_decode($email_subject), $headers);
}

function preg_recurse($data) {
  preg_replace("/(\[[a-z_]+\])(.*?)(\[\\1\])/se", "$results='x'", $data);
  echo '?' . $results;
  die;
  return $results;
}

function & shop_display_order($page, $order, $oID, $raw = true, $pre = false, $url = false) {

  $page_elements_array = array();
  $page_elements_data_array = array();

  $elements = array(2=>$page);
  $page = array('page'=>$page);
  while (preg_match("/\[([a-z_]+)\](.*)\[\/(\\1)\]/s", $elements[2], $elements)) $page[$elements[1] . 's'] = $elements[2];
  $page = preg_replace("/\[([a-z_]+)\](.*)\[\/(\\1)\]/s", "[\\1s]", $page);

  $products_page_data = '';
  foreach ($order->products as $products_id => $products_info) {
	$product_elements_array = array();
	$product_elements_data_array = array();
	
	$product_elements_array[] = '[qty]';
	$product_elements_array[] = '[product_id]';
	$product_elements_array[] = '[product_name]';
	$product_elements_array[] = '[product_model]';
	$product_elements_array[] = '[product_sku]';
	$product_elements_array[] = '[serial_number]';
	$product_elements_data_array[] = ($products_info['qty']);
	$product_elements_data_array[] = ($products_info['id']);
	$product_elements_data_array[] = ($products_info['name']);
	$product_elements_data_array[] = ($products_info['model']);
	$product_elements_data_array[] = ($products_info['sku']);
	$product_elements_data_array[] = ($products_info['serial_number']);

	$product_elements_array[] = '[product_price_extax]';
	$product_elements_array[] = '[product_price_intax]';
	$product_elements_array[] = '[product_total_extax]';
	$product_elements_array[] = '[product_total_intax]';
	$product_elements_data_array[] = ($raw) ? (number_format($products_info['price'], 2)) : $GLOBALS['currencies']->format($products_info['price'], true, $order->info['currency'], $order->info['currency_value']);
	$product_elements_data_array[] = ($raw) ? number_format(shop_add_tax($products_info['price'], $products_info['tax']), 2) : $GLOBALS['currencies']->format(shop_add_tax($products_info['price'], $products_info['tax']), true, $order->info['currency'], $order->info['currency_value']);
	$product_elements_data_array[] = ($raw) ? (number_format($products_info['price'] * $products_info['qty'])) : $GLOBALS['currencies']->format(($products_info['price'] * $products_info['qty']), true, $order->info['currency'], $order->info['currency_value']);
	$product_elements_data_array[] = ($raw) ? number_format((shop_add_tax($products_info['price'], $products_info['tax']) * $products_info['qty']), 2) : $GLOBALS['currencies']->format((shop_add_tax($products_info['price'], $products_info['tax']) * $products_info['qty']), true, $order->info['currency'], $order->info['currency_value']);

	$product_elements_array[] = '[product_cost]';
	$product_elements_array[] = '[product_tax]';
	$product_elements_data_array[] = ($raw) ? (number_format($products_info['cost'] * $products_info['qty'],2)) : $GLOBALS['currencies']->format(($products_info['cost'] * $products_info['qty']), true, $order->info['currency'], $order->info['currency_value']);
	$product_elements_data_array[] = ($raw) ? $products_info['tax'] : shop_display_tax_value($products_info['tax']);
  
	$image_url = '';
	$names = '';
	$options_page_data = '';
	if ($products_info['image']) $image_url .= 'image[0]=images/' . $products_info['image'] . '&';
	if (sizeof($products_info['attributes']) > 0) {
	  foreach ($products_info['attributes'] as $attributes_id => $attributes_info) {
	    if ($attributes_info['image']) {
	      $image_url .= 'image[' . $attributes_info['orders_products_attributes_id'] . ']=images/' . $attributes_info['image'] . '&';
	    }
	    $names .= $attributes_info['option'] . '=' . $attributes_info['value'] . ', ';
	    $price = ($raw) ? (number_format($attributes_info['price'] * $products_info['qty'], 2)) : $GLOBALS['currencies']->format((shop_add_tax($attributes_info['price'], $products_info['tax']) * $products_info['qty']), true, $order->info['currency'], $order->info['currency_value']);
	    $pooptions = array('[option_name]', '[option_value]', '[option_price]', '[option_sku]');
	    $povalues = array($attributes_info['option'], $attributes_info['value'], ((round($attributes_info['price'])) ? ($attributes_info['prefix'] . $price) : '-'), $attributes_info['options_model']);
		if ($pre) shop_preformat_text($pooptions, $povalues);
	    $options_page_data .= str_replace($pooptions, $povalues, $page['options']);
	  }
	}
	
	if (sizeof($products_info['customer_options']) > 0) {
	  foreach ($products_info['customer_options'] as $customer_options_id => $customer_options_info) {
	    if ($customer_options_info['value']) {
	      $type = $customer_options_info['type'];
	      $option = $customer_options_info['option'];
	      $value = $customer_options_info['value'];
	      $locx = $customer_options_info['locx'];
	      $locy = $customer_options_info['locy'];
	      $image_url .= 'locx[' . $customer_options_id . ']=' . $locx . '&';
	      $image_url .= 'locy[' . $customer_options_id . ']=' . $locy . '&';
	      $names .= $option . '=' . $value . ', ';
	      switch ($type) {
	        case '3':
	          $value = '<a href="../customer_options/' . $value . '" target="_new">' . $option. '</a>';
	          break;
	        case '4':
	          $value = preg_replace("([0-9A-Za-z])",'&bull;',$value);
	          break;
	        case '6':
	          $image_url .= 'text[' . $customer_options_id . ']=' . $value . '&';
	          break;
	        case '7':
	          $image_url .= 'uploadedimage[' . $customer_options_id . ']=customer_options/' . $value . '&';
	          $value = '<a href="' . shop_href_link('contents/image.php?image[' . $customer_options_id . ']=customer_options/' . $value) . '" target="_new">' . $option . '</a>';
	          break;
	        case '8':
	          $image_url .= 'font=' . $value . '&';
	          $value = str_replace(array('.ttf','_'),array('',' '),$value);
	          break;
	        case '9':
	          $image_url .= 'fontsize=' . $value . '&';
	          break;
	        case '10':
	          $image_url .= 'color=' . $value . '&';
	          break;
	      }

	      if ($option && strlen($value)) {
	        $poptions = array('[option_name]', '[option_value]', '[option_price]');
	        $pvalues = array($option, $value, '-');
	        $options_page_data .= str_replace($poptions, $pvalues, $page['options']);
	      }
	    }
	  }
	}
		
	$product_elements_array[] = '[product_image]';
	$product_elements_data_array[] = shop_href_link('contents/image.php', $image_url);
	if ($pre) shop_preformat_text($product_elements_array, $product_elements_data_array);
	
	$product_elements_array[] = '[options]';
	$product_elements_data_array[] = $options_page_data;
  
	$products_page_data .= str_replace($product_elements_array,$product_elements_data_array,$page['products']);
  }

  $page_elements_array[] = '[subtotal]';
  $page_elements_array[] = '[coupons]';
  $page_elements_array[] = '[tax]';
  $page_elements_array[] = '[shipping]';
  $page_elements_array[] = '[cod_fee]';
  $page_elements_array[] = '[total]';
  $page_elements_data_array[] = ($raw) ? number_format($order->info['subtotal'], 2) : $GLOBALS['currencies']->format($order->info['subtotal'], true, $order->info['currency'], $order->info['currency_value']);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['coupons'], 2) : $GLOBALS['currencies']->format($order->info['coupons'], true, $order->info['currency'], $order->info['currency_value']);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['tax'], 2) : $GLOBALS['currencies']->format($order->info['tax'], true, $order->info['currency'], $order->info['currency_value']);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['shipping_cost'], 2) : $GLOBALS['currencies']->format($order->info['shipping_cost'], true, $order->info['currency'], $order->info['currency_value']);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['cod_fee'], 2) : $GLOBALS['currencies']->format($order->info['cod_fee'], true, $order->info['currency'], $order->info['currency_value']);
  $page_elements_data_array[] = ($raw) ? number_format($order->info['total'], 2) : $GLOBALS['currencies']->format($order->info['total'], true, $order->info['currency'], $order->info['currency_value']);

  $page_elements_array[] = '[logo]';
  $page_elements_array[] = '[address]';
  $page_elements_array[] = '[shop_name]';
  $page_elements_array[] = '[order_id]';
  $page_elements_array[] = '[bill_address]';
  $page_elements_array[] = '[ship_address]';
  $page_elements_array[] = '[email]';
  $page_elements_array[] = '[phone]';
  $page_elements_array[] = '[fax]';
  $page_elements_array[] = '[customers_id]';
  $page_elements_array[] = '[customers_code]';
  $page_elements_array[] = '[affiliate]';
  $page_elements_array[] = '[payment_method]';
  $page_elements_array[] = '[transaction_type]';
  $page_elements_array[] = '[shipping_method]';
  $page_elements_array[] = '[currency]';
  $page_elements_array[] = '[currency_value]';
  $page_elements_array[] = '[date_short]';
  $page_elements_array[] = '[date]';
  $page_elements_array[] = '[order_url]';
  $page_elements_data_array[] = shop_image('images/interface_elements/' . STORE_LOGO, STORE_NAME);
  $page_elements_data_array[] = STORE_NAME_ADDRESS;
  $page_elements_data_array[] = STORE_NAME;
  $page_elements_data_array[] = ($oID);
  $page_elements_data_array[] = (shop_address_format($order->customer['format_id'], $order->customer, 1, '&nbsp;', '<br />'));
  $page_elements_data_array[] = (shop_address_format($order->delivery['format_id'], $order->delivery, 1, '&nbsp;', '<br />'));
  $page_elements_data_array[] = ($order->customer['email_address']);
  $page_elements_data_array[] = ($order->customer['telephone']);
  $page_elements_data_array[] = ($order->customer['fax']);
  $page_elements_data_array[] = $_SESSION['customer_id'];
  $page_elements_data_array[] = $order->customer['customers_code'];
  $page_elements_data_array[] = AFFILIATE;
  $page_elements_data_array[] = ($order->info['payment_method']);
  $page_elements_data_array[] = (($order->info['cc_number']) ? "CREDIT CARD" : "CASH SALE");
  $page_elements_data_array[] = ($order->info['shipping_method']);
  $page_elements_data_array[] = ($order->info['currency']);
  $page_elements_data_array[] = ($order->info['currency_value']);
  $date = split('[-:\ ]', $order->info['date_purchased']);
  $page_elements_data_array[] = ($date[1] . '/' . $date[2] . '/' . substr($date[0],-2));
  $page_elements_data_array[] = ($order->info['date_purchased']);
  $page_elements_data_array[] = $url;

  $page_elements_array[] = '[shop_url]';
  $page_elements_data_array[] = DIR_WS_CATALOG;
  
  $page_elements_array[] = '[customer_name]';
  $page_elements_array[] = '[customers_firstname]';
  $page_elements_array[] = '[customers_lastname]';
  $page_elements_array[] = '[customer_company]';
  $page_elements_array[] = '[customer_address]';
  $page_elements_array[] = '[customer_address2]';
  $page_elements_array[] = '[customer_city]';
  $page_elements_array[] = '[customer_state]';
  $page_elements_array[] = '[customer_country]';
  $page_elements_array[] = '[customer_postcode]';
  $page_elements_data_array[] = ($order->customer['name']);
  $page_elements_data_array[] = ($order->customer['firstname']);
  $page_elements_data_array[] = ($order->customer['lastname']);
  $page_elements_data_array[] = ($order->customer['company']);
  $page_elements_data_array[] = ($order->customer['street_address']);
  $page_elements_data_array[] = ($order->customer['street_address_2']);
  $page_elements_data_array[] = ($order->customer['city']);
  $page_elements_data_array[] = ($order->customer['state']);
  $page_elements_data_array[] = ($order->customer['country']);
  $page_elements_data_array[] = ($order->customer['postcode']);
  
  $page_elements_array[] = '[delivery_name]';
  $page_elements_array[] = '[delivery_firstname]';
  $page_elements_array[] = '[delivery_lastname]';
  $page_elements_array[] = '[delivery_company]';
  $page_elements_array[] = '[delivery_address]';
  $page_elements_array[] = '[delivery_address2]';
  $page_elements_array[] = '[delivery_city]';
  $page_elements_array[] = '[delivery_state]';
  $page_elements_array[] = '[delivery_country]';
  $page_elements_array[] = '[delivery_postcode]';
  $page_elements_data_array[] = ($order->delivery['name']);
  $page_elements_data_array[] = ($order->delivery['firstname']);
  $page_elements_data_array[] = ($order->delivery['lastname']);
  $page_elements_data_array[] = ($order->delivery['company']);
  $page_elements_data_array[] = ($order->delivery['street_address']);
  $page_elements_data_array[] = ($order->delivery['street_address_2']);
  $page_elements_data_array[] = ($order->delivery['city']);
  $page_elements_data_array[] = ($order->delivery['state']);
  $page_elements_data_array[] = ($order->delivery['country']);
  $page_elements_data_array[] = ($order->delivery['postcode']);

  if ($pre) shop_preformat_text($page_elements_array, $page_elements_data_array);
  
  $page_elements_array[] = '[comments]';
  $page_elements_data_array[] = ($order->info['comments']);
  
  $page_elements_array[] = '[products]';
  $page_elements_data_array[] = $products_page_data;
	
  if (sizeof($GLOBALS['sparx']->sparx_classes)) {
    foreach ($GLOBALS['sparx']->sparx_classes as $class) {
      if ($tag == $class) return $GLOBALS[$class]->display();
    }
  }
  
  return str_replace($page_elements_array,$page_elements_data_array,$page['page']);
}

function shop_preformat_text($keys, $data) {
	for($x=0; $x<sizeof($data); $x++) {
		$keyslen = strlen($keys[$x]);
		$datalen = strlen($data[$x]);

		if ($datalen < $keyslen) $data[$x] .=  str_repeat(' ', $keyslen - $datalen);
		if ($datalen > $keyslen) $keys[$x] .=  str_repeat(' ', $datalen - $keyslen);
	}
}
