<?php

/*
  Created for the eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2007, Baskettcase Web Development.
  http://www.baskettcase.com

*/

class cybersource {
	var $code, $title, $shop_title, $description, $signup, $test_url, $post_url, $enabled, $recommend_level, $version;

	function cybersource() {
	  $this->code = 'cybersource';
	  $this->title = 'CyberSource';
	  $this->shop_title = MODULE_PAYMENT_CC_TEXT_TITLE;
	  $this->description = 'ATTENTION:<br />
To setup Cybersource you will need to login to your CyberSource account Business Center, first login to the Test section:
<ol>
  <li>&quot;Tools &amp; Settings&quot; &gt; &quot;Hosted Order Page&quot; &gt; &quot;Settings&quot; and set your Receipt and Decline pages to ' . SECURE_SERVER_ADDRESS . 'checkout_process.php</li>
  <li>&quot;Tools &amp; Settings&quot; &gt; &quot;Hosted Order Page&quot; &gt; &quot;Security&quot; Generate Security Key and select PHP.  Upload this file (HOP.php) to the contents/payment/classes/ directory</li>
  <li>Modify this new HOP.php file according to this <a href="http://www.cybersource.com/cgi-bin/kb/kbanswersdetail.cgi?package=Advanced&solution_id=1155&product=Payment%20Services&category=Known%20Issues&sub_category=All">Cybersource knowledgebase article</a></li>
</ol>';
	  $this->signup = 'http://www.cybersource.com/';
	  $this->post_url = 'https://orderpage.ic3.com/hop/ProcessOrder.do';
	  $this->test_url = 'https://orderpagetest.ic3.com/hop/ProcessOrder.do';
	  $this->enabled = defined('MODULE_PAYMENT_CYBERSOURCE_STATUS');
	  $this->recommend_level = 1;
	  $this->version = "1.0";
	}

	function javascript_validation() {
	  return shop_draw_cc_javascript_validation($this->code);
	}

	function selection() {
	  return shop_draw_cc_input();
	}

	function pre_confirmation_check() {
	  if ($_POST['payment_selected'] == $this->code) shop_validate_cc($_POST['cc_owner'],$_POST['cc_number'], $_POST['cc_expires_month'], $_POST['cc_expires_year'], $_POST['cc_code']);
	}

	function confirmation() {
	  global $checkout_form_action;

	  $checkout_form_action = (MODULE_PAYMENT_CYBERSOURCE_TESTMODE == 'Test') ? $this->test_url : $this->post_url;

	  return false;
	}

	function process_button() {
		global $order;
		
		$cc_owner = strrev($_POST['cc_owner']);
		$cc_owner_firstname = strrev(substr($cc_owner, strpos($cc_owner, ' ')+1));
		$cc_owner_lastname =strrev( substr($cc_owner, 0, strpos($cc_owner, ' ')));
		
		// Get card type and match with CyberSource code
		switch ($_SESSION['cart']->info['cc_type']) {
			case 'Visa': $cardType = '001'; break;
			case 'MasterCard': $cardType = '002'; break;
			case 'American Express': $cardType = '003'; break;
			case 'Discover Card': $cardType = '004'; break;
			case 'Diners Club': $cardType = '005'; break;
			case 'JCB': $cardType = '007'; break;
			default: $cardType = 'BAD';
		}
		
		$years = $this->get_years();

		// make sure they have installed their security key
		if (!include("classes/HOP.php")) die('Please install your Cybersource security key into your contents/payment/classes/ directory');
    $merchantID = getMerchantID();
    $timestamp = getmicrotime();
    #$amount = $GLOBALS['currencies']->format($order->info['total'], true, $order->info['currency'], $order->info['currency_value']);
    $amount = $order->info['total'];
    $currency = strtolower($order->info['currency']);
    $orderPage_transactionType = 'sale';
    $data = $merchantID . $amount . $currency . $timestamp . $orderPage_transactionType;
    $pub = getPublicKey();
    $serialNumber = getSerialNumber();
    $pub_digest = hopHash($data, $pub);
		
		$process_button_string = 
			shop_draw_hidden_field('orderPage_transactionType', $orderPage_transactionType) . 
			shop_draw_hidden_field('orderPage_timestamp', $timestamp) . 
			shop_draw_hidden_field('orderPage_signaturePublic', $pub_digest) . 
			shop_draw_hidden_field('orderPage_version', '4') . 
			shop_draw_hidden_field('orderPage_serialNumber', $serialNumber) . 
			shop_draw_hidden_field('billTo_firstName', $cc_owner_firstname) . 
			shop_draw_hidden_field('billTo_lastName', $cc_owner_lastname) . 
			shop_draw_hidden_field('billTo_company', $order->customer['company']) . 
			shop_draw_hidden_field('billTo_street1', $order->customer['street_address']) . 
			shop_draw_hidden_field('billTo_city', $order->customer['city']) . 
			shop_draw_hidden_field('billTo_state', $order->customer['state']) . 
			shop_draw_hidden_field('billTo_postalCode', $order->customer['postcode']) . 
			shop_draw_hidden_field('billTo_country', $order->customer['country']) . 
			shop_draw_hidden_field('billTo_email', $order->customer['email_address']) . 
			shop_draw_hidden_field('billTo_customerID', $_SESSION['customer_id']) . 
			shop_draw_hidden_field('billTo_phoneNumber', $order->customer['telephone']) . 
			shop_draw_hidden_field('shipTo_firstName', $order->delivery['firstname']) . 
			shop_draw_hidden_field('shipTo_lastName', $order->delivery['lastname']) . 
			shop_draw_hidden_field('shipTo_company', $order->delivery['company']) . 
			shop_draw_hidden_field('shipTo_street1', $order->delivery['street_address']) . 
			shop_draw_hidden_field('shipTo_city', $order->delivery['city']) . 
			shop_draw_hidden_field('shipTo_state', $order->delivery['state']) . 
			shop_draw_hidden_field('shipTo_postalCode', $order->delivery['postcode']) . 
			shop_draw_hidden_field('shipTo_country', $order->delivery['country']) . 
			shop_draw_hidden_field('currency', $currency) . 
			shop_draw_hidden_field('amount', $amount) . 
			shop_draw_hidden_field('taxAmount', $GLOBALS['currencies']->format($order->info['tax'], true, $order->info['currency'], $order->info['currency_value'])) . 
			shop_draw_hidden_field('card_accountNumber', $_POST['cc_number']) . 
			shop_draw_hidden_field('card_cardType', $cardType) . 
			shop_draw_hidden_field('card_cvNumber', $_POST['cc_code']) . 
			shop_draw_hidden_field('card_expirationMonth', $_POST['cc_expires_month']) . 
			shop_draw_hidden_field('card_expirationYear', $years[$_POST['cc_expires_year']]) . 
			shop_draw_hidden_field('comments', MODULE_PAYMENT_CYBERSOURCE_COMMENTS) . 
			shop_draw_hidden_field('merchantID', $merchantID) . 
			shop_draw_hidden_field('orderPage_ignoreAVS', 'true') .  // ignore the AVS test
			// from address on customer's receipt
			shop_draw_hidden_field('orderPage_emailFromAddress', $GLOBALS['affiliates']->affiliates[$_SESSION['affiliate']]['email']) . 
			// from name on customer's receipt
			shop_draw_hidden_field('orderPage_emailFromName', $GLOBALS['affiliates']->affiliates[$_SESSION['affiliate']]['name']) . 
			// send receipt to customer
			shop_draw_hidden_field('orderPage_sendCustomerReceiptEmail',  MODULE_PAYMENT_CYBERSOURCE_CUSTOMER_RECEIPT == 'true' ? 'true': 'false') . 
			// send receipt to merchant
			shop_draw_hidden_field('orderPage_sendMerchantReceiptEmail', MODULE_PAYMENT_CYBERSOURCE_MERCHANT_RECEIPT == 'true' ? 'true': 'false') . 
			// email to send order receipt to merchant
			shop_draw_hidden_field('orderPage_merchantEmailAddress', $GLOBALS['affiliates']->affiliates[$_SESSION['affiliate']]['email']) . 
			// send transaction results to merchant
			shop_draw_hidden_field('orderPage_sendMerchantEmailPost',  MODULE_PAYMENT_CYBERSOURCE_MERCHANT_TRANSACTION == 'true' ? 'true': 'false') . 
			// address to send transaction results to
			shop_draw_hidden_field('orderPage_merchantEmailPostAddress', $GLOBALS['affiliates']->affiliates[$_SESSION['affiliate']]['email']) . 
			// URL to send transaction results to
			shop_draw_hidden_field('orderPage_merchantURLPostAddress', shop_href_link('checkout_process.php','','SSL')) . 
			// send transaction results back to shop
			shop_draw_hidden_field('orderPage_sendMerchantURLPost', 'true') . 
			shop_draw_hidden_field('customerIP', REMOTE_ADDR);

		return $process_button_string;
	}

	function before_process() {
		// make sure they have installed their security key
		if (!include("classes/HOP.php")) die('Please install your Cybersource security key into your contents/payment/classes/ directory');

    if (VerifyTransactionSignature($_POST)) { 
      if ($_POST['decision'] == "ACCEPT") {
        $order->info['cc_approval'] = $_POST['ccAuthReply_authorizationCode']; 
      }
      else $error = true; //Your order has been rejected 
    } 
    else $error = true; // The signature does not match the order 

	  if ($error) shop_redirect(shop_href_link('checkout_payment.php', 'error_message=' . urlencode(MODULE_PAYMENT_CC_TEXT_ERROR), 'SSL'));
	  
	}

	function after_process() {
	}

	function check() {
	  return defined('MODULE_PAYMENT_CYBERSOURCE_STATUS');
	}

	function install() {
		$i = 0;
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_CYBERSOURCE_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Transaction Mode', 'MODULE_PAYMENT_CYBERSOURCE_TESTMODE', 'Test', 'Transaction mode used for processing orders', '6', " . $i++ . ", 'shop_cfg_select_option(array(\'Test\', \'Production\'), ', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Customer Notifications', 'MODULE_PAYMENT_CYBERSOURCE_CUSTOMER_RECEIPT', 'false', 'Should CyberSource e-mail a receipt to the customer?', '6', " . $i++ . ", 'shop_cfg_select_option(array(\'true\', \'false\'), ', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Merchant Notifications', 'MODULE_PAYMENT_CYBERSOURCE_MERCHANT_RECEIPT', 'true', 'Should CyberSource e-mail a receipt to the store owner?', '6', " . $i++ . ", 'shop_cfg_select_option(array(\'true\', \'false\'), ', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Merchant Notifications', 'MODULE_PAYMENT_CYBERSOURCE_MERCHANT_TRANSACTION', 'true', 'Should CyberSource e-mail the transaction result to the store owner?', '6', " . $i++ . ", 'shop_cfg_select_option(array(\'true\', \'false\'), ', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Store Comments', 'MODULE_PAYMENT_CYBERSOURCE_COMMENTS', 'eShox online store order', 'Any comments that you would like to add to the CyberSource order', '6', " . $i++ . ", now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key like 'MODULE_PAYMENT_CYBERSOURCE_%'");
	}

	function keys() {
	  return array('MODULE_PAYMENT_CYBERSOURCE_STATUS', 'MODULE_PAYMENT_CYBERSOURCE_TESTMODE', 'MODULE_PAYMENT_CYBERSOURCE_CUSTOMER_RECEIPT', 'MODULE_PAYMENT_CYBERSOURCE_MERCHANT_RECEIPT',
	    'MODULE_PAYMENT_CYBERSOURCE_MERCHANT_TRANSACTION',
	    'MODULE_PAYMENT_CYBERSOURCE_COMMENTS');
	}
	
	function get_years() {
	  for ($i=date('Y'); $i < date('Y')+10; $i++) {
	    $years[strftime('%y',mktime(0,0,0,1,1,$i))] = strftime('%Y',mktime(0,0,0,1,1,$i));
	  }
	  return $years;
	}
}
